﻿/*
	Paintable Computing Simulation

	License

	This software (Paintable Computing Simulation and all parts of its 
	source code) is provided "as is", without any warranty and it is 
	the property of its respective authors. Use of this software is 
	free to everyone, except in commercial and/or military purposes 
	without written permission of its authors. Disassembling the 
	executable code of this software is forbidden for any purpose 
	without written permission of its authors.

	If you intend to use any part of the source code of this software 
	or to develop this software any further, you must include this 
	license in every source file and every About box, without changing 
	it; only appending the license is allowed. And if you use any part 
	of the source code of this software, or develop it further, please 
	send an e-mail to its authors.

	Authors of this software are not responsible for any consequences 
	which use of this software, use of any part of its source or its 
	further development may cause.

	All software and parts of source code used in the development of 
	this software are property of their respective owners.

	Good luck,
	Authors

	Authors (alphabetically):
	Fabijan Lukin
		fabijan@gmail.com
		fabijan.lukin@fer.hr
	Fran Pregernik
		fran.pregernik@gmail.com
		fran.pregernik@fer.hr
	Tomislav Sukser
		tomislav.sukser@gmail.com
		tomislav.sukser@zg.t-com.hr
		tomislav.sukser@fer.hr


	Note:
	Paintable computing was firstly introduced in Programming a 
	Paintable Computer written by William Joseph Butera.

    Copyright (c) 2005,2006. All rights reserved.
    4-6/2006

*/

namespace PaintableSimulator.GUI.Standard
{
    /// <summary>
    /// Main Form
    /// </summary>
	partial class frmGUI
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components = null;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing && (components != null))
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(frmGUI));
            System.Windows.Forms.ListViewItem listViewItem1 = new System.Windows.Forms.ListViewItem(new string[] {
            "Iteracija",
            "-"}, -1);
            System.Windows.Forms.ListViewItem listViewItem2 = new System.Windows.Forms.ListViewItem(new string[] {
            "Paketa za slanje",
            "-"}, -1);
            System.Windows.Forms.ListViewItem listViewItem3 = new System.Windows.Forms.ListViewItem(new string[] {
            "Paketa izgubljeno / ukupno poslano (%)",
            "-"}, -1);
            System.Windows.Forms.ListViewGroup listViewGroup1 = new System.Windows.Forms.ListViewGroup("Osnovne informacije", System.Windows.Forms.HorizontalAlignment.Left);
            System.Windows.Forms.ListViewGroup listViewGroup2 = new System.Windows.Forms.ListViewGroup("Homepage", System.Windows.Forms.HorizontalAlignment.Left);
            this.menuMain = new System.Windows.Forms.MenuStrip();
            this.toolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuNewSimulation = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuNewDefaultSimulation = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator6 = new System.Windows.Forms.ToolStripSeparator();
            this.mnuCancelSimulation = new System.Windows.Forms.ToolStripMenuItem();
            this.prikazToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuViewTypes = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuPCSeparator = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuSenzorSeparator = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuGraphicDisplay = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuShowInfo = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuShowCurrentScreen = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuDoShowScreen = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator8 = new System.Windows.Forms.ToolStripSeparator();
            this.mnuBoldSensorsAndPortals = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuDisplaySeparator = new System.Windows.Forms.ToolStripSeparator();
            this.zoomToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem10 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem11 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem6 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem12 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem5 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem13 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem7 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem9 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem8 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator5 = new System.Windows.Forms.ToolStripSeparator();
            this.mnuAviExport = new System.Windows.Forms.ToolStripMenuItem();
            this.nekompresiranoToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem3 = new System.Windows.Forms.ToolStripSeparator();
            this.mnuCompressAvi = new System.Windows.Forms.ToolStripMenuItem();
            this.huffYUVToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuScreenShot = new System.Windows.Forms.ToolStripMenuItem();
            this.akcijeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuInvadePC = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuInsertSenzor = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator7 = new System.Windows.Forms.ToolStripSeparator();
            this.mnuDeleteRegion = new System.Windows.Forms.ToolStripMenuItem();
            this.debugToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuShowPCInfo = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem2 = new System.Windows.Forms.ToolStripSeparator();
            this.mnuStartStop = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuStep = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator4 = new System.Windows.Forms.ToolStripSeparator();
            this.mnuCommunication = new System.Windows.Forms.ToolStripMenuItem();
            this.oProgramuToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.mnuAbout = new System.Windows.Forms.ToolStripMenuItem();
            this.tabOutput = new System.Windows.Forms.TabControl();
            this.tabInfo = new System.Windows.Forms.TabPage();
            this.listboxInfo = new System.Windows.Forms.ListView();
            this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
            this.columnHeader4 = new System.Windows.Forms.ColumnHeader();
            this.tabDebug = new System.Windows.Forms.TabPage();
            this.listboxDebug = new System.Windows.Forms.ListBox();
            this.toolStripContainer1 = new System.Windows.Forms.ToolStripContainer();
            this.toolStrip = new System.Windows.Forms.ToolStrip();
            this.btnNewSimulation = new System.Windows.Forms.ToolStripButton();
            this.btnCancelSimulation = new System.Windows.Forms.ToolStripButton();
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.btnStartStop = new System.Windows.Forms.ToolStripButton();
            this.btnStep = new System.Windows.Forms.ToolStripButton();
            this.toolStripSeparator3 = new System.Windows.Forms.ToolStripSeparator();
            this.btnInvadePC = new System.Windows.Forms.ToolStripButton();
            this.btnInsertSenzor = new System.Windows.Forms.ToolStripButton();
            this.btnCommunication = new System.Windows.Forms.ToolStripButton();
            this.btnShowPCInfo = new System.Windows.Forms.ToolStripButton();
            this.toolStripSeparator2 = new System.Windows.Forms.ToolStripSeparator();
            this.tabOpcije = new System.Windows.Forms.TabControl();
            this.tabNovaSimulacija = new System.Windows.Forms.TabPage();
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.tabPage1 = new System.Windows.Forms.TabPage();
            this.label7 = new System.Windows.Forms.Label();
            this.cbDefaultTypes = new System.Windows.Forms.ComboBox();
            this.btnSetAviFile = new System.Windows.Forms.Button();
            this.label5 = new System.Windows.Forms.Label();
            this.txtAVIOut = new System.Windows.Forms.TextBox();
            this.label2 = new System.Windows.Forms.Label();
            this.txtWirelessRadius = new System.Windows.Forms.NumericUpDown();
            this.label3 = new System.Windows.Forms.Label();
            this.txtbrojPC = new System.Windows.Forms.NumericUpDown();
            this.tabPage2 = new System.Windows.Forms.TabPage();
            this.propertyEngineSettings = new System.Windows.Forms.PropertyGrid();
            this.btnDoCancelSimulation = new System.Windows.Forms.Button();
            this.btnDoStartSimulation = new System.Windows.Forms.Button();
            this.tabDebugPC = new System.Windows.Forms.TabPage();
            this.tabControl2 = new System.Windows.Forms.TabControl();
            this.tabPage3 = new System.Windows.Forms.TabPage();
            this.twPFragHomepages = new System.Windows.Forms.TreeView();
            this.tabPage4 = new System.Windows.Forms.TabPage();
            this.twPFragMirroredHomepages = new System.Windows.Forms.TreeView();
            this.lwPCInfo = new System.Windows.Forms.ListView();
            this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
            this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
            this.tabPFrags = new System.Windows.Forms.TabPage();
            this.tabPFragSelect = new System.Windows.Forms.TabControl();
            this.tabPFragSelection = new System.Windows.Forms.TabPage();
            this.processFragments = new System.Windows.Forms.TreeView();
            this.label4 = new System.Windows.Forms.Label();
            this.txtFragDescription = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.tabPFragOptions = new System.Windows.Forms.TabPage();
            this.panel2 = new System.Windows.Forms.Panel();
            this.btmSelectPortal = new System.Windows.Forms.Button();
            this.txtInvadeThisPC = new System.Windows.Forms.TextBox();
            this.label6 = new System.Windows.Forms.Label();
            this.panel1 = new System.Windows.Forms.Panel();
            this.stateVectorProperties = new System.Windows.Forms.PropertyGrid();
            this.btnInvadeCancel = new System.Windows.Forms.Button();
            this.btnDisplayOptions = new System.Windows.Forms.Button();
            this.tabMassKill = new System.Windows.Forms.TabPage();
            this.label9 = new System.Windows.Forms.Label();
            this.numDisableRandomPercentage = new System.Windows.Forms.NumericUpDown();
            this.btnMassKillCancel = new System.Windows.Forms.Button();
            this.btnMassKillExecute = new System.Windows.Forms.Button();
            this.tabSenzor = new System.Windows.Forms.TabPage();
            this.tabSensorInsertType = new System.Windows.Forms.TabControl();
            this.tabPage5 = new System.Windows.Forms.TabPage();
            this.lwSenzersToAdd = new System.Windows.Forms.ListView();
            this.columnHeader6 = new System.Windows.Forms.ColumnHeader();
            this.columnHeader7 = new System.Windows.Forms.ColumnHeader();
            this.tabRandomInsertSensors = new System.Windows.Forms.TabPage();
            this.numRandomSenzorsCount = new System.Windows.Forms.NumericUpDown();
            this.label8 = new System.Windows.Forms.Label();
            this.twSenzors = new System.Windows.Forms.TreeView();
            this.btnCancelInsertSenzor = new System.Windows.Forms.Button();
            this.btnInsertSensors = new System.Windows.Forms.Button();
            this.dialogSaveAvi = new System.Windows.Forms.SaveFileDialog();
            this.panDisplayContainer = new System.Windows.Forms.Panel();
            this.panDisplay = new System.Windows.Forms.Panel();
            this.hSplit = new System.Windows.Forms.Splitter();
            this.splitter1 = new System.Windows.Forms.Splitter();
            this.menuMain.SuspendLayout();
            this.tabOutput.SuspendLayout();
            this.tabInfo.SuspendLayout();
            this.tabDebug.SuspendLayout();
            this.toolStripContainer1.ContentPanel.SuspendLayout();
            this.toolStripContainer1.TopToolStripPanel.SuspendLayout();
            this.toolStripContainer1.SuspendLayout();
            this.toolStrip.SuspendLayout();
            this.tabOpcije.SuspendLayout();
            this.tabNovaSimulacija.SuspendLayout();
            this.tabControl1.SuspendLayout();
            this.tabPage1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.txtWirelessRadius)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txtbrojPC)).BeginInit();
            this.tabPage2.SuspendLayout();
            this.tabDebugPC.SuspendLayout();
            this.tabControl2.SuspendLayout();
            this.tabPage3.SuspendLayout();
            this.tabPage4.SuspendLayout();
            this.tabPFrags.SuspendLayout();
            this.tabPFragSelect.SuspendLayout();
            this.tabPFragSelection.SuspendLayout();
            this.tabPFragOptions.SuspendLayout();
            this.panel2.SuspendLayout();
            this.panel1.SuspendLayout();
            this.tabMassKill.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numDisableRandomPercentage)).BeginInit();
            this.tabSenzor.SuspendLayout();
            this.tabSensorInsertType.SuspendLayout();
            this.tabPage5.SuspendLayout();
            this.tabRandomInsertSensors.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numRandomSenzorsCount)).BeginInit();
            this.panDisplayContainer.SuspendLayout();
            this.SuspendLayout();
            // 
            // menuMain
            // 
            this.menuMain.Dock = System.Windows.Forms.DockStyle.None;
            this.menuMain.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.toolStripMenuItem1,
            this.prikazToolStripMenuItem,
            this.akcijeToolStripMenuItem,
            this.debugToolStripMenuItem,
            this.oProgramuToolStripMenuItem});
            this.menuMain.Location = new System.Drawing.Point(0, 0);
            this.menuMain.Name = "menuMain";
            this.menuMain.Size = new System.Drawing.Size(1028, 24);
            this.menuMain.TabIndex = 0;
            this.menuMain.Text = "menuStrip1";
            this.menuMain.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.menuMain_ItemClicked);
            // 
            // toolStripMenuItem1
            // 
            this.toolStripMenuItem1.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuNewSimulation,
            this.mnuNewDefaultSimulation,
            this.toolStripSeparator6,
            this.mnuCancelSimulation});
            this.toolStripMenuItem1.Name = "toolStripMenuItem1";
            this.toolStripMenuItem1.Size = new System.Drawing.Size(102, 20);
            this.toolStripMenuItem1.Text = "Glavni izbornik";
            // 
            // mnuNewSimulation
            // 
            this.mnuNewSimulation.Image = ((System.Drawing.Image)(resources.GetObject("mnuNewSimulation.Image")));
            this.mnuNewSimulation.Name = "mnuNewSimulation";
            this.mnuNewSimulation.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.N)));
            this.mnuNewSimulation.Size = new System.Drawing.Size(268, 22);
            this.mnuNewSimulation.Text = "Nova simulacija";
            this.mnuNewSimulation.Click += new System.EventHandler(this.mnuNewSimulation_Click);
            // 
            // mnuNewDefaultSimulation
            // 
            this.mnuNewDefaultSimulation.Name = "mnuNewDefaultSimulation";
            this.mnuNewDefaultSimulation.ShortcutKeys = System.Windows.Forms.Keys.F2;
            this.mnuNewDefaultSimulation.Size = new System.Drawing.Size(268, 22);
            this.mnuNewDefaultSimulation.Text = "Nova standardna simulacija";
            this.mnuNewDefaultSimulation.Click += new System.EventHandler(this.mnuNewDefaultSimulation_Click);
            // 
            // toolStripSeparator6
            // 
            this.toolStripSeparator6.Name = "toolStripSeparator6";
            this.toolStripSeparator6.Size = new System.Drawing.Size(265, 6);
            // 
            // mnuCancelSimulation
            // 
            this.mnuCancelSimulation.Image = ((System.Drawing.Image)(resources.GetObject("mnuCancelSimulation.Image")));
            this.mnuCancelSimulation.Name = "mnuCancelSimulation";
            this.mnuCancelSimulation.Size = new System.Drawing.Size(268, 22);
            this.mnuCancelSimulation.Text = "Prekini simulaciju";
            this.mnuCancelSimulation.Click += new System.EventHandler(this.mnuCancelSimulation_Click);
            // 
            // prikazToolStripMenuItem
            // 
            this.prikazToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuViewTypes,
            this.mnuGraphicDisplay,
            this.zoomToolStripMenuItem,
            this.toolStripSeparator5,
            this.mnuAviExport,
            this.mnuScreenShot});
            this.prikazToolStripMenuItem.Name = "prikazToolStripMenuItem";
            this.prikazToolStripMenuItem.Size = new System.Drawing.Size(54, 20);
            this.prikazToolStripMenuItem.Text = "Prikaz";
            // 
            // mnuViewTypes
            // 
            this.mnuViewTypes.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuPCSeparator,
            this.mnuSenzorSeparator});
            this.mnuViewTypes.Name = "mnuViewTypes";
            this.mnuViewTypes.Size = new System.Drawing.Size(188, 22);
            this.mnuViewTypes.Tag = "";
            this.mnuViewTypes.Text = "Prikaži tipove";
            this.mnuViewTypes.Click += new System.EventHandler(this.mnuViewTypes_Click);
            // 
            // mnuPCSeparator
            // 
            this.mnuPCSeparator.Font = new System.Drawing.Font("Tahoma", 9F, ((System.Drawing.FontStyle)(((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic)
                            | System.Drawing.FontStyle.Underline))), System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.mnuPCSeparator.Name = "mnuPCSeparator";
            this.mnuPCSeparator.Size = new System.Drawing.Size(167, 22);
            this.mnuPCSeparator.Text = "PC programi";
            // 
            // mnuSenzorSeparator
            // 
            this.mnuSenzorSeparator.Font = new System.Drawing.Font("Tahoma", 9F, ((System.Drawing.FontStyle)(((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic)
                            | System.Drawing.FontStyle.Underline))), System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.mnuSenzorSeparator.Name = "mnuSenzorSeparator";
            this.mnuSenzorSeparator.Size = new System.Drawing.Size(167, 22);
            this.mnuSenzorSeparator.Text = "Senzori";
            // 
            // mnuGraphicDisplay
            // 
            this.mnuGraphicDisplay.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuShowInfo,
            this.mnuShowCurrentScreen,
            this.mnuDoShowScreen,
            this.toolStripSeparator8,
            this.mnuBoldSensorsAndPortals,
            this.mnuDisplaySeparator});
            this.mnuGraphicDisplay.Name = "mnuGraphicDisplay";
            this.mnuGraphicDisplay.Size = new System.Drawing.Size(188, 22);
            this.mnuGraphicDisplay.Text = "Grafički prikaz";
            // 
            // mnuShowInfo
            // 
            this.mnuShowInfo.Checked = true;
            this.mnuShowInfo.CheckOnClick = true;
            this.mnuShowInfo.CheckState = System.Windows.Forms.CheckState.Checked;
            this.mnuShowInfo.Name = "mnuShowInfo";
            this.mnuShowInfo.ShortcutKeys = System.Windows.Forms.Keys.F9;
            this.mnuShowInfo.Size = new System.Drawing.Size(242, 22);
            this.mnuShowInfo.Text = "Prikazuj informacije";
            this.mnuShowInfo.Click += new System.EventHandler(this.mnuShowInfo_Click);
            // 
            // mnuShowCurrentScreen
            // 
            this.mnuShowCurrentScreen.CheckOnClick = true;
            this.mnuShowCurrentScreen.Name = "mnuShowCurrentScreen";
            this.mnuShowCurrentScreen.ShortcutKeys = System.Windows.Forms.Keys.F11;
            this.mnuShowCurrentScreen.Size = new System.Drawing.Size(242, 22);
            this.mnuShowCurrentScreen.Text = "Prikaži trenutni ekran";
            this.mnuShowCurrentScreen.Click += new System.EventHandler(this.mnuShowCurrentScreen_Click);
            // 
            // mnuDoShowScreen
            // 
            this.mnuDoShowScreen.Checked = true;
            this.mnuDoShowScreen.CheckOnClick = true;
            this.mnuDoShowScreen.CheckState = System.Windows.Forms.CheckState.Checked;
            this.mnuDoShowScreen.Name = "mnuDoShowScreen";
            this.mnuDoShowScreen.ShortcutKeys = System.Windows.Forms.Keys.F10;
            this.mnuDoShowScreen.Size = new System.Drawing.Size(242, 22);
            this.mnuDoShowScreen.Text = "Prikazuj ekran";
            // 
            // toolStripSeparator8
            // 
            this.toolStripSeparator8.Name = "toolStripSeparator8";
            this.toolStripSeparator8.Size = new System.Drawing.Size(239, 6);
            // 
            // mnuBoldSensorsAndPortals
            // 
            this.mnuBoldSensorsAndPortals.Checked = true;
            this.mnuBoldSensorsAndPortals.CheckOnClick = true;
            this.mnuBoldSensorsAndPortals.CheckState = System.Windows.Forms.CheckState.Checked;
            this.mnuBoldSensorsAndPortals.Name = "mnuBoldSensorsAndPortals";
            this.mnuBoldSensorsAndPortals.Size = new System.Drawing.Size(242, 22);
            this.mnuBoldSensorsAndPortals.Text = "Podebljaj senzore i portale";
            this.mnuBoldSensorsAndPortals.Click += new System.EventHandler(this.mnuBoldSensorsAndPortals_Click);
            // 
            // mnuDisplaySeparator
            // 
            this.mnuDisplaySeparator.Name = "mnuDisplaySeparator";
            this.mnuDisplaySeparator.Size = new System.Drawing.Size(239, 6);
            // 
            // zoomToolStripMenuItem
            // 
            this.zoomToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.toolStripMenuItem10,
            this.toolStripMenuItem11,
            this.toolStripMenuItem6,
            this.toolStripMenuItem12,
            this.toolStripMenuItem5,
            this.toolStripMenuItem13,
            this.toolStripMenuItem7,
            this.toolStripMenuItem9,
            this.toolStripMenuItem8});
            this.zoomToolStripMenuItem.Name = "zoomToolStripMenuItem";
            this.zoomToolStripMenuItem.Size = new System.Drawing.Size(188, 22);
            this.zoomToolStripMenuItem.Text = "Zoom";
            this.zoomToolStripMenuItem.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem10
            // 
            this.toolStripMenuItem10.Name = "toolStripMenuItem10";
            this.toolStripMenuItem10.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem10.Tag = "1";
            this.toolStripMenuItem10.Text = "10%";
            this.toolStripMenuItem10.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem11
            // 
            this.toolStripMenuItem11.Name = "toolStripMenuItem11";
            this.toolStripMenuItem11.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem11.Tag = "3";
            this.toolStripMenuItem11.Text = "30%";
            this.toolStripMenuItem11.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem6
            // 
            this.toolStripMenuItem6.Name = "toolStripMenuItem6";
            this.toolStripMenuItem6.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem6.Tag = "5";
            this.toolStripMenuItem6.Text = "50%";
            this.toolStripMenuItem6.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem12
            // 
            this.toolStripMenuItem12.Name = "toolStripMenuItem12";
            this.toolStripMenuItem12.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem12.Tag = "7";
            this.toolStripMenuItem12.Text = "70%";
            this.toolStripMenuItem12.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem5
            // 
            this.toolStripMenuItem5.Checked = true;
            this.toolStripMenuItem5.CheckState = System.Windows.Forms.CheckState.Checked;
            this.toolStripMenuItem5.Name = "toolStripMenuItem5";
            this.toolStripMenuItem5.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem5.Tag = "10";
            this.toolStripMenuItem5.Text = "100%";
            this.toolStripMenuItem5.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem13
            // 
            this.toolStripMenuItem13.Name = "toolStripMenuItem13";
            this.toolStripMenuItem13.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem13.Tag = "13";
            this.toolStripMenuItem13.Text = "130%";
            this.toolStripMenuItem13.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem7
            // 
            this.toolStripMenuItem7.Name = "toolStripMenuItem7";
            this.toolStripMenuItem7.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem7.Tag = "15";
            this.toolStripMenuItem7.Text = "150%";
            this.toolStripMenuItem7.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem9
            // 
            this.toolStripMenuItem9.Name = "toolStripMenuItem9";
            this.toolStripMenuItem9.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem9.Tag = "17";
            this.toolStripMenuItem9.Text = "170%";
            this.toolStripMenuItem9.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripMenuItem8
            // 
            this.toolStripMenuItem8.Name = "toolStripMenuItem8";
            this.toolStripMenuItem8.Size = new System.Drawing.Size(122, 22);
            this.toolStripMenuItem8.Tag = "20";
            this.toolStripMenuItem8.Text = "200%";
            this.toolStripMenuItem8.Click += new System.EventHandler(this.zoomToolStripMenuItem_Click);
            // 
            // toolStripSeparator5
            // 
            this.toolStripSeparator5.Name = "toolStripSeparator5";
            this.toolStripSeparator5.Size = new System.Drawing.Size(185, 6);
            // 
            // mnuAviExport
            // 
            this.mnuAviExport.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.nekompresiranoToolStripMenuItem,
            this.toolStripMenuItem3,
            this.mnuCompressAvi,
            this.huffYUVToolStripMenuItem});
            this.mnuAviExport.Name = "mnuAviExport";
            this.mnuAviExport.Size = new System.Drawing.Size(188, 22);
            this.mnuAviExport.Tag = "0";
            this.mnuAviExport.Text = "AVI";
            this.mnuAviExport.Click += new System.EventHandler(this.aVIToolStripMenuItem_Click);
            // 
            // nekompresiranoToolStripMenuItem
            // 
            this.nekompresiranoToolStripMenuItem.Checked = true;
            this.nekompresiranoToolStripMenuItem.CheckOnClick = true;
            this.nekompresiranoToolStripMenuItem.CheckState = System.Windows.Forms.CheckState.Checked;
            this.nekompresiranoToolStripMenuItem.DoubleClickEnabled = true;
            this.nekompresiranoToolStripMenuItem.Name = "nekompresiranoToolStripMenuItem";
            this.nekompresiranoToolStripMenuItem.Size = new System.Drawing.Size(182, 22);
            this.nekompresiranoToolStripMenuItem.Tag = "0";
            this.nekompresiranoToolStripMenuItem.Text = "Nekompresirano";
            this.nekompresiranoToolStripMenuItem.Click += new System.EventHandler(this.aVIToolStripMenuItem_Click);
            // 
            // toolStripMenuItem3
            // 
            this.toolStripMenuItem3.Name = "toolStripMenuItem3";
            this.toolStripMenuItem3.Size = new System.Drawing.Size(179, 6);
            // 
            // mnuCompressAvi
            // 
            this.mnuCompressAvi.CheckOnClick = true;
            this.mnuCompressAvi.Name = "mnuCompressAvi";
            this.mnuCompressAvi.Size = new System.Drawing.Size(182, 22);
            this.mnuCompressAvi.Tag = "1";
            this.mnuCompressAvi.Text = "Intel Indeo 5";
            this.mnuCompressAvi.Click += new System.EventHandler(this.aVIToolStripMenuItem_Click);
            // 
            // huffYUVToolStripMenuItem
            // 
            this.huffYUVToolStripMenuItem.Name = "huffYUVToolStripMenuItem";
            this.huffYUVToolStripMenuItem.Size = new System.Drawing.Size(182, 22);
            this.huffYUVToolStripMenuItem.Tag = "2";
            this.huffYUVToolStripMenuItem.Text = "HuffYUV";
            this.huffYUVToolStripMenuItem.Click += new System.EventHandler(this.aVIToolStripMenuItem_Click);
            // 
            // mnuScreenShot
            // 
            this.mnuScreenShot.Name = "mnuScreenShot";
            this.mnuScreenShot.ShortcutKeys = System.Windows.Forms.Keys.F12;
            this.mnuScreenShot.Size = new System.Drawing.Size(188, 22);
            this.mnuScreenShot.Text = "Spremi sliku";
            this.mnuScreenShot.Click += new System.EventHandler(this.mnuScreenShot_Click);
            // 
            // akcijeToolStripMenuItem
            // 
            this.akcijeToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuInvadePC,
            this.mnuInsertSenzor,
            this.toolStripSeparator7,
            this.mnuDeleteRegion});
            this.akcijeToolStripMenuItem.Name = "akcijeToolStripMenuItem";
            this.akcijeToolStripMenuItem.Size = new System.Drawing.Size(54, 20);
            this.akcijeToolStripMenuItem.Text = "Akcije";
            // 
            // mnuInvadePC
            // 
            this.mnuInvadePC.Image = global::PaintableSimulator.GUI.Properties.Resources.tenk;
            this.mnuInvadePC.Name = "mnuInvadePC";
            this.mnuInvadePC.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.I)));
            this.mnuInvadePC.Size = new System.Drawing.Size(240, 22);
            this.mnuInvadePC.Text = "Ubaci novi program";
            this.mnuInvadePC.Click += new System.EventHandler(this.mnuInvadePC_Click);
            // 
            // mnuInsertSenzor
            // 
            this.mnuInsertSenzor.Image = global::PaintableSimulator.GUI.Properties.Resources.Sensor;
            this.mnuInsertSenzor.Name = "mnuInsertSenzor";
            this.mnuInsertSenzor.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.S)));
            this.mnuInsertSenzor.Size = new System.Drawing.Size(240, 22);
            this.mnuInsertSenzor.Text = "Ubaci senzor";
            this.mnuInsertSenzor.Click += new System.EventHandler(this.mnuInsertSenzor_Click);
            // 
            // toolStripSeparator7
            // 
            this.toolStripSeparator7.Name = "toolStripSeparator7";
            this.toolStripSeparator7.Size = new System.Drawing.Size(237, 6);
            // 
            // mnuDeleteRegion
            // 
            this.mnuDeleteRegion.CheckOnClick = true;
            this.mnuDeleteRegion.Name = "mnuDeleteRegion";
            this.mnuDeleteRegion.Size = new System.Drawing.Size(240, 22);
            this.mnuDeleteRegion.Text = "Izbriši PCje";
            this.mnuDeleteRegion.Click += new System.EventHandler(this.mnuDeleteRegion_Click);
            // 
            // debugToolStripMenuItem
            // 
            this.debugToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuShowPCInfo,
            this.toolStripMenuItem2,
            this.mnuStartStop,
            this.mnuStep,
            this.toolStripSeparator4,
            this.mnuCommunication});
            this.debugToolStripMenuItem.Name = "debugToolStripMenuItem";
            this.debugToolStripMenuItem.Size = new System.Drawing.Size(56, 20);
            this.debugToolStripMenuItem.Text = "Debug";
            // 
            // mnuShowPCInfo
            // 
            this.mnuShowPCInfo.Enabled = false;
            this.mnuShowPCInfo.Image = ((System.Drawing.Image)(resources.GetObject("mnuShowPCInfo.Image")));
            this.mnuShowPCInfo.Name = "mnuShowPCInfo";
            this.mnuShowPCInfo.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.I)));
            this.mnuShowPCInfo.Size = new System.Drawing.Size(228, 22);
            this.mnuShowPCInfo.Text = "Prikaži info o PCu";
            this.mnuShowPCInfo.Click += new System.EventHandler(this.mnuShowPCInfo_Click);
            // 
            // toolStripMenuItem2
            // 
            this.toolStripMenuItem2.Name = "toolStripMenuItem2";
            this.toolStripMenuItem2.Size = new System.Drawing.Size(225, 6);
            // 
            // mnuStartStop
            // 
            this.mnuStartStop.Enabled = false;
            this.mnuStartStop.Image = ((System.Drawing.Image)(resources.GetObject("mnuStartStop.Image")));
            this.mnuStartStop.Name = "mnuStartStop";
            this.mnuStartStop.ShortcutKeys = System.Windows.Forms.Keys.F5;
            this.mnuStartStop.Size = new System.Drawing.Size(228, 22);
            this.mnuStartStop.Text = "Radi / Stani";
            this.mnuStartStop.Click += new System.EventHandler(this.mnuStartStop_Click);
            // 
            // mnuStep
            // 
            this.mnuStep.Enabled = false;
            this.mnuStep.Name = "mnuStep";
            this.mnuStep.ShortcutKeys = System.Windows.Forms.Keys.F6;
            this.mnuStep.Size = new System.Drawing.Size(228, 22);
            this.mnuStep.Text = "Korak";
            this.mnuStep.Click += new System.EventHandler(this.mnuStep_Click);
            // 
            // toolStripSeparator4
            // 
            this.toolStripSeparator4.Name = "toolStripSeparator4";
            this.toolStripSeparator4.Size = new System.Drawing.Size(225, 6);
            // 
            // mnuCommunication
            // 
            this.mnuCommunication.AutoToolTip = true;
            this.mnuCommunication.Image = ((System.Drawing.Image)(resources.GetObject("mnuCommunication.Image")));
            this.mnuCommunication.Name = "mnuCommunication";
            this.mnuCommunication.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.K)));
            this.mnuCommunication.Size = new System.Drawing.Size(228, 22);
            this.mnuCommunication.Tag = "0";
            this.mnuCommunication.Text = "Komunikacija";
            this.mnuCommunication.Click += new System.EventHandler(this.mnuCommunication_Click);
            // 
            // oProgramuToolStripMenuItem
            // 
            this.oProgramuToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mnuAbout});
            this.oProgramuToolStripMenuItem.Name = "oProgramuToolStripMenuItem";
            this.oProgramuToolStripMenuItem.Size = new System.Drawing.Size(89, 20);
            this.oProgramuToolStripMenuItem.Text = "O programu";
            // 
            // mnuAbout
            // 
            this.mnuAbout.Image = ((System.Drawing.Image)(resources.GetObject("mnuAbout.Image")));
            this.mnuAbout.Name = "mnuAbout";
            this.mnuAbout.Size = new System.Drawing.Size(158, 22);
            this.mnuAbout.Text = "O programu";
            this.mnuAbout.Click += new System.EventHandler(this.mnuAbout_Click);
            // 
            // tabOutput
            // 
            this.tabOutput.Controls.Add(this.tabInfo);
            this.tabOutput.Controls.Add(this.tabDebug);
            this.tabOutput.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.tabOutput.Location = new System.Drawing.Point(0, 602);
            this.tabOutput.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabOutput.Name = "tabOutput";
            this.tabOutput.SelectedIndex = 0;
            this.tabOutput.Size = new System.Drawing.Size(1028, 143);
            this.tabOutput.TabIndex = 0;
            this.tabOutput.SelectedIndexChanged += new System.EventHandler(this.tabOutput_SelectedIndexChanged);
            // 
            // tabInfo
            // 
            this.tabInfo.Controls.Add(this.listboxInfo);
            this.tabInfo.Location = new System.Drawing.Point(4, 26);
            this.tabInfo.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabInfo.Name = "tabInfo";
            this.tabInfo.Padding = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabInfo.Size = new System.Drawing.Size(1020, 113);
            this.tabInfo.TabIndex = 0;
            this.tabInfo.Text = "Info";
            // 
            // listboxInfo
            // 
            this.listboxInfo.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
            this.columnHeader3,
            this.columnHeader4});
            this.listboxInfo.Dock = System.Windows.Forms.DockStyle.Top;
            this.listboxInfo.Items.AddRange(new System.Windows.Forms.ListViewItem[] {
            listViewItem1,
            listViewItem2,
            listViewItem3});
            this.listboxInfo.Location = new System.Drawing.Point(5, 4);
            this.listboxInfo.Name = "listboxInfo";
            this.listboxInfo.Size = new System.Drawing.Size(1010, 228);
            this.listboxInfo.TabIndex = 1;
            this.listboxInfo.UseCompatibleStateImageBehavior = false;
            this.listboxInfo.View = System.Windows.Forms.View.Details;
            // 
            // columnHeader3
            // 
            this.columnHeader3.Text = "ID";
            this.columnHeader3.Width = 286;
            // 
            // columnHeader4
            // 
            this.columnHeader4.Text = "Vrijednost";
            this.columnHeader4.Width = 564;
            // 
            // tabDebug
            // 
            this.tabDebug.Controls.Add(this.listboxDebug);
            this.tabDebug.Location = new System.Drawing.Point(4, 26);
            this.tabDebug.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabDebug.Name = "tabDebug";
            this.tabDebug.Padding = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabDebug.Size = new System.Drawing.Size(1020, 113);
            this.tabDebug.TabIndex = 1;
            this.tabDebug.Text = "Debug";
            // 
            // listboxDebug
            // 
            this.listboxDebug.Dock = System.Windows.Forms.DockStyle.Fill;
            this.listboxDebug.Font = new System.Drawing.Font("Tahoma", 9.087379F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.listboxDebug.FormattingEnabled = true;
            this.listboxDebug.ItemHeight = 16;
            this.listboxDebug.Location = new System.Drawing.Point(5, 4);
            this.listboxDebug.Name = "listboxDebug";
            this.listboxDebug.Size = new System.Drawing.Size(1010, 100);
            this.listboxDebug.TabIndex = 0;
            // 
            // toolStripContainer1
            // 
            this.toolStripContainer1.BottomToolStripPanelVisible = false;
            // 
            // toolStripContainer1.ContentPanel
            // 
            this.toolStripContainer1.ContentPanel.Controls.Add(this.toolStrip);
            this.toolStripContainer1.ContentPanel.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.toolStripContainer1.ContentPanel.Size = new System.Drawing.Size(1028, 60);
            this.toolStripContainer1.Dock = System.Windows.Forms.DockStyle.Top;
            this.toolStripContainer1.LeftToolStripPanelVisible = false;
            this.toolStripContainer1.Location = new System.Drawing.Point(0, 0);
            this.toolStripContainer1.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.toolStripContainer1.Name = "toolStripContainer1";
            this.toolStripContainer1.RightToolStripPanelVisible = false;
            this.toolStripContainer1.Size = new System.Drawing.Size(1028, 84);
            this.toolStripContainer1.TabIndex = 1;
            this.toolStripContainer1.Text = "toolStripContainer1";
            // 
            // toolStripContainer1.TopToolStripPanel
            // 
            this.toolStripContainer1.TopToolStripPanel.Controls.Add(this.menuMain);
            // 
            // toolStrip
            // 
            this.toolStrip.Dock = System.Windows.Forms.DockStyle.Fill;
            this.toolStrip.GripStyle = System.Windows.Forms.ToolStripGripStyle.Hidden;
            this.toolStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.btnNewSimulation,
            this.btnCancelSimulation,
            this.toolStripSeparator1,
            this.btnStartStop,
            this.btnStep,
            this.toolStripSeparator3,
            this.btnInvadePC,
            this.btnInsertSenzor,
            this.btnCommunication,
            this.btnShowPCInfo,
            this.toolStripSeparator2});
            this.toolStrip.Location = new System.Drawing.Point(0, 0);
            this.toolStrip.Name = "toolStrip";
            this.toolStrip.Size = new System.Drawing.Size(1028, 60);
            this.toolStrip.TabIndex = 0;
            this.toolStrip.Text = "toolStrip1";
            // 
            // btnNewSimulation
            // 
            this.btnNewSimulation.Image = ((System.Drawing.Image)(resources.GetObject("btnNewSimulation.Image")));
            this.btnNewSimulation.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnNewSimulation.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.btnNewSimulation.Name = "btnNewSimulation";
            this.btnNewSimulation.Size = new System.Drawing.Size(101, 57);
            this.btnNewSimulation.Text = "Nova simulacija";
            this.btnNewSimulation.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnNewSimulation.Click += new System.EventHandler(this.mnuNewSimulation_Click);
            // 
            // btnCancelSimulation
            // 
            this.btnCancelSimulation.Image = ((System.Drawing.Image)(resources.GetObject("btnCancelSimulation.Image")));
            this.btnCancelSimulation.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnCancelSimulation.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.btnCancelSimulation.Name = "btnCancelSimulation";
            this.btnCancelSimulation.Size = new System.Drawing.Size(111, 57);
            this.btnCancelSimulation.Text = "Prekini simulaciju";
            this.btnCancelSimulation.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnCancelSimulation.Click += new System.EventHandler(this.mnuCancelSimulation_Click);
            // 
            // toolStripSeparator1
            // 
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new System.Drawing.Size(6, 60);
            // 
            // btnStartStop
            // 
            this.btnStartStop.Image = ((System.Drawing.Image)(resources.GetObject("btnStartStop.Image")));
            this.btnStartStop.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnStartStop.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.btnStartStop.Name = "btnStartStop";
            this.btnStartStop.Size = new System.Drawing.Size(79, 57);
            this.btnStartStop.Text = "Radi / Stani";
            this.btnStartStop.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnStartStop.Click += new System.EventHandler(this.mnuStartStop_Click);
            // 
            // btnStep
            // 
            this.btnStep.Image = ((System.Drawing.Image)(resources.GetObject("btnStep.Image")));
            this.btnStep.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
            this.btnStep.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnStep.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.btnStep.Name = "btnStep";
            this.btnStep.Size = new System.Drawing.Size(44, 57);
            this.btnStep.Text = "Korak";
            this.btnStep.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnStep.Click += new System.EventHandler(this.mnuStep_Click);
            // 
            // toolStripSeparator3
            // 
            this.toolStripSeparator3.Name = "toolStripSeparator3";
            this.toolStripSeparator3.Size = new System.Drawing.Size(6, 60);
            // 
            // btnInvadePC
            // 
            this.btnInvadePC.Image = ((System.Drawing.Image)(resources.GetObject("btnInvadePC.Image")));
            this.btnInvadePC.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnInvadePC.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.btnInvadePC.Name = "btnInvadePC";
            this.btnInvadePC.Size = new System.Drawing.Size(96, 57);
            this.btnInvadePC.Text = "Ubaci program";
            this.btnInvadePC.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnInvadePC.Click += new System.EventHandler(this.mnuInvadePC_Click);
            // 
            // btnInsertSenzor
            // 
            this.btnInsertSenzor.Image = ((System.Drawing.Image)(resources.GetObject("btnInsertSenzor.Image")));
            this.btnInsertSenzor.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnInsertSenzor.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.btnInsertSenzor.Name = "btnInsertSenzor";
            this.btnInsertSenzor.Size = new System.Drawing.Size(85, 57);
            this.btnInsertSenzor.Text = "Ubaci senzor";
            this.btnInsertSenzor.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnInsertSenzor.Click += new System.EventHandler(this.mnuInsertSenzor_Click);
            // 
            // btnCommunication
            // 
            this.btnCommunication.Image = ((System.Drawing.Image)(resources.GetObject("btnCommunication.Image")));
            this.btnCommunication.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnCommunication.ImageTransparentColor = System.Drawing.Color.White;
            this.btnCommunication.Name = "btnCommunication";
            this.btnCommunication.Size = new System.Drawing.Size(87, 57);
            this.btnCommunication.Text = "Komunikacija";
            this.btnCommunication.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnCommunication.Click += new System.EventHandler(this.mnuCommunication_Click);
            // 
            // btnShowPCInfo
            // 
            this.btnShowPCInfo.Image = ((System.Drawing.Image)(resources.GetObject("btnShowPCInfo.Image")));
            this.btnShowPCInfo.ImageScaling = System.Windows.Forms.ToolStripItemImageScaling.None;
            this.btnShowPCInfo.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.btnShowPCInfo.Name = "btnShowPCInfo";
            this.btnShowPCInfo.Size = new System.Drawing.Size(53, 57);
            this.btnShowPCInfo.Text = "PC Info";
            this.btnShowPCInfo.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageAboveText;
            this.btnShowPCInfo.Click += new System.EventHandler(this.mnuShowPCInfo_Click);
            // 
            // toolStripSeparator2
            // 
            this.toolStripSeparator2.Name = "toolStripSeparator2";
            this.toolStripSeparator2.Size = new System.Drawing.Size(6, 60);
            // 
            // tabOpcije
            // 
            this.tabOpcije.Controls.Add(this.tabNovaSimulacija);
            this.tabOpcije.Controls.Add(this.tabDebugPC);
            this.tabOpcije.Controls.Add(this.tabPFrags);
            this.tabOpcije.Controls.Add(this.tabMassKill);
            this.tabOpcije.Controls.Add(this.tabSenzor);
            this.tabOpcije.Dock = System.Windows.Forms.DockStyle.Right;
            this.tabOpcije.Location = new System.Drawing.Point(718, 84);
            this.tabOpcije.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabOpcije.Name = "tabOpcije";
            this.tabOpcije.SelectedIndex = 0;
            this.tabOpcije.Size = new System.Drawing.Size(310, 518);
            this.tabOpcije.TabIndex = 3;
            this.tabOpcije.Visible = false;
            this.tabOpcije.SelectedIndexChanged += new System.EventHandler(this.tabOpcije_SelectedIndexChanged);
            // 
            // tabNovaSimulacija
            // 
            this.tabNovaSimulacija.Controls.Add(this.tabControl1);
            this.tabNovaSimulacija.Controls.Add(this.btnDoCancelSimulation);
            this.tabNovaSimulacija.Controls.Add(this.btnDoStartSimulation);
            this.tabNovaSimulacija.Location = new System.Drawing.Point(4, 26);
            this.tabNovaSimulacija.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabNovaSimulacija.Name = "tabNovaSimulacija";
            this.tabNovaSimulacija.Padding = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.tabNovaSimulacija.Size = new System.Drawing.Size(302, 488);
            this.tabNovaSimulacija.TabIndex = 0;
            this.tabNovaSimulacija.Text = "Početak simulacije";
            this.tabNovaSimulacija.UseVisualStyleBackColor = true;
            // 
            // tabControl1
            // 
            this.tabControl1.Controls.Add(this.tabPage1);
            this.tabControl1.Controls.Add(this.tabPage2);
            this.tabControl1.Location = new System.Drawing.Point(1, 7);
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            this.tabControl1.Size = new System.Drawing.Size(298, 362);
            this.tabControl1.TabIndex = 15;
            // 
            // tabPage1
            // 
            this.tabPage1.Controls.Add(this.label7);
            this.tabPage1.Controls.Add(this.cbDefaultTypes);
            this.tabPage1.Controls.Add(this.btnSetAviFile);
            this.tabPage1.Controls.Add(this.label5);
            this.tabPage1.Controls.Add(this.txtAVIOut);
            this.tabPage1.Controls.Add(this.label2);
            this.tabPage1.Controls.Add(this.txtWirelessRadius);
            this.tabPage1.Controls.Add(this.label3);
            this.tabPage1.Controls.Add(this.txtbrojPC);
            this.tabPage1.Location = new System.Drawing.Point(4, 26);
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage1.Size = new System.Drawing.Size(290, 332);
            this.tabPage1.TabIndex = 0;
            this.tabPage1.Text = "Osnovno";
            this.tabPage1.UseVisualStyleBackColor = true;
            this.tabPage1.Click += new System.EventHandler(this.tabPage1_Click);
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(6, 88);
            this.label7.Margin = new System.Windows.Forms.Padding(5, 0, 5, 0);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(93, 23);
            this.label7.TabIndex = 23;
            this.label7.Text = "Početni PCovi";
            this.label7.UseCompatibleTextRendering = true;
            // 
            // cbDefaultTypes
            // 
            this.cbDefaultTypes.FormattingEnabled = true;
            this.cbDefaultTypes.Location = new System.Drawing.Point(5, 114);
            this.cbDefaultTypes.Name = "cbDefaultTypes";
            this.cbDefaultTypes.Size = new System.Drawing.Size(276, 25);
            this.cbDefaultTypes.TabIndex = 22;
            // 
            // btnSetAviFile
            // 
            this.btnSetAviFile.AutoSize = true;
            this.btnSetAviFile.Location = new System.Drawing.Point(252, 277);
            this.btnSetAviFile.Name = "btnSetAviFile";
            this.btnSetAviFile.Size = new System.Drawing.Size(33, 28);
            this.btnSetAviFile.TabIndex = 21;
            this.btnSetAviFile.Text = "...";
            this.btnSetAviFile.UseVisualStyleBackColor = true;
            this.btnSetAviFile.Click += new System.EventHandler(this.btnSetAviFile_Click);
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(5, 240);
            this.label5.Margin = new System.Windows.Forms.Padding(5, 0, 5, 0);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(139, 23);
            this.label5.TabIndex = 20;
            this.label5.Text = "Ispis u AVI datoteku";
            this.label5.UseCompatibleTextRendering = true;
            // 
            // txtAVIOut
            // 
            this.txtAVIOut.Location = new System.Drawing.Point(3, 277);
            this.txtAVIOut.Name = "txtAVIOut";
            this.txtAVIOut.Size = new System.Drawing.Size(243, 25);
            this.txtAVIOut.TabIndex = 19;
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(5, 183);
            this.label2.Margin = new System.Windows.Forms.Padding(5, 0, 5, 0);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(137, 23);
            this.label2.TabIndex = 18;
            this.label2.Text = "Radius bežične veze";
            this.label2.UseCompatibleTextRendering = true;
            // 
            // txtWirelessRadius
            // 
            this.txtWirelessRadius.Location = new System.Drawing.Point(175, 181);
            this.txtWirelessRadius.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.txtWirelessRadius.Maximum = new decimal(new int[] {
            300,
            0,
            0,
            0});
            this.txtWirelessRadius.Minimum = new decimal(new int[] {
            10,
            0,
            0,
            0});
            this.txtWirelessRadius.Name = "txtWirelessRadius";
            this.txtWirelessRadius.Size = new System.Drawing.Size(107, 25);
            this.txtWirelessRadius.TabIndex = 17;
            this.txtWirelessRadius.Tag = "WirelessRadius";
            this.txtWirelessRadius.Value = new decimal(new int[] {
            40,
            0,
            0,
            0});
            this.txtWirelessRadius.ValueChanged += new System.EventHandler(this.txtWirelesRadius_ValueChanged);
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(6, 27);
            this.label3.Margin = new System.Windows.Forms.Padding(5, 0, 5, 0);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(153, 23);
            this.label3.TabIndex = 16;
            this.label3.Text = "Maksimalni broj PCova";
            this.label3.UseCompatibleTextRendering = true;
            // 
            // txtbrojPC
            // 
            this.txtbrojPC.Location = new System.Drawing.Point(175, 53);
            this.txtbrojPC.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.txtbrojPC.Maximum = new decimal(new int[] {
            100000,
            0,
            0,
            0});
            this.txtbrojPC.Minimum = new decimal(new int[] {
            10,
            0,
            0,
            0});
            this.txtbrojPC.Name = "txtbrojPC";
            this.txtbrojPC.Size = new System.Drawing.Size(107, 25);
            this.txtbrojPC.TabIndex = 15;
            this.txtbrojPC.Tag = "MaximumComputerCount";
            this.txtbrojPC.Value = new decimal(new int[] {
            2000,
            0,
            0,
            0});
            this.txtbrojPC.ValueChanged += new System.EventHandler(this.txtWirelesRadius_ValueChanged);
            // 
            // tabPage2
            // 
            this.tabPage2.Controls.Add(this.propertyEngineSettings);
            this.tabPage2.Location = new System.Drawing.Point(4, 26);
            this.tabPage2.Name = "tabPage2";
            this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage2.Size = new System.Drawing.Size(290, 332);
            this.tabPage2.TabIndex = 1;
            this.tabPage2.Text = "Napredne opcije";
            this.tabPage2.UseVisualStyleBackColor = true;
            // 
            // propertyEngineSettings
            // 
            this.propertyEngineSettings.Dock = System.Windows.Forms.DockStyle.Fill;
            this.propertyEngineSettings.Location = new System.Drawing.Point(3, 3);
            this.propertyEngineSettings.Name = "propertyEngineSettings";
            this.propertyEngineSettings.Size = new System.Drawing.Size(284, 326);
            this.propertyEngineSettings.TabIndex = 0;
            this.propertyEngineSettings.PropertyValueChanged += new System.Windows.Forms.PropertyValueChangedEventHandler(this.propertyEngineSettings_PropertyValueChanged);
            // 
            // btnDoCancelSimulation
            // 
            this.btnDoCancelSimulation.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnDoCancelSimulation.Location = new System.Drawing.Point(8, 411);
            this.btnDoCancelSimulation.Name = "btnDoCancelSimulation";
            this.btnDoCancelSimulation.Size = new System.Drawing.Size(280, 30);
            this.btnDoCancelSimulation.TabIndex = 11;
            this.btnDoCancelSimulation.Text = "Odustani";
            this.btnDoCancelSimulation.UseCompatibleTextRendering = true;
            this.btnDoCancelSimulation.UseVisualStyleBackColor = true;
            this.btnDoCancelSimulation.Click += new System.EventHandler(this.btnDoCancelSimulation_Click);
            // 
            // btnDoStartSimulation
            // 
            this.btnDoStartSimulation.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnDoStartSimulation.Location = new System.Drawing.Point(8, 375);
            this.btnDoStartSimulation.Name = "btnDoStartSimulation";
            this.btnDoStartSimulation.Size = new System.Drawing.Size(280, 30);
            this.btnDoStartSimulation.TabIndex = 6;
            this.btnDoStartSimulation.Text = "Početak simulacije";
            this.btnDoStartSimulation.UseCompatibleTextRendering = true;
            this.btnDoStartSimulation.UseVisualStyleBackColor = true;
            this.btnDoStartSimulation.Click += new System.EventHandler(this.btnDoStartSimulation_Click);
            // 
            // tabDebugPC
            // 
            this.tabDebugPC.Controls.Add(this.tabControl2);
            this.tabDebugPC.Controls.Add(this.lwPCInfo);
            this.tabDebugPC.Location = new System.Drawing.Point(4, 26);
            this.tabDebugPC.Name = "tabDebugPC";
            this.tabDebugPC.Padding = new System.Windows.Forms.Padding(3);
            this.tabDebugPC.Size = new System.Drawing.Size(302, 488);
            this.tabDebugPC.TabIndex = 1;
            this.tabDebugPC.Text = "PC Info";
            this.tabDebugPC.UseVisualStyleBackColor = true;
            // 
            // tabControl2
            // 
            this.tabControl2.Controls.Add(this.tabPage3);
            this.tabControl2.Controls.Add(this.tabPage4);
            this.tabControl2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tabControl2.Location = new System.Drawing.Point(3, 232);
            this.tabControl2.Name = "tabControl2";
            this.tabControl2.SelectedIndex = 0;
            this.tabControl2.Size = new System.Drawing.Size(296, 253);
            this.tabControl2.TabIndex = 2;
            // 
            // tabPage3
            // 
            this.tabPage3.Controls.Add(this.twPFragHomepages);
            this.tabPage3.Location = new System.Drawing.Point(4, 25);
            this.tabPage3.Name = "tabPage3";
            this.tabPage3.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage3.Size = new System.Drawing.Size(288, 225);
            this.tabPage3.TabIndex = 0;
            this.tabPage3.Text = "Local HomePage";
            this.tabPage3.UseVisualStyleBackColor = true;
            // 
            // twPFragHomepages
            // 
            this.twPFragHomepages.Dock = System.Windows.Forms.DockStyle.Fill;
            this.twPFragHomepages.Location = new System.Drawing.Point(3, 3);
            this.twPFragHomepages.Name = "twPFragHomepages";
            this.twPFragHomepages.Size = new System.Drawing.Size(282, 219);
            this.twPFragHomepages.TabIndex = 2;
            // 
            // tabPage4
            // 
            this.tabPage4.Controls.Add(this.twPFragMirroredHomepages);
            this.tabPage4.Location = new System.Drawing.Point(4, 25);
            this.tabPage4.Name = "tabPage4";
            this.tabPage4.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage4.Size = new System.Drawing.Size(288, 225);
            this.tabPage4.TabIndex = 1;
            this.tabPage4.Text = "Mirrored HomePages";
            this.tabPage4.UseVisualStyleBackColor = true;
            // 
            // twPFragMirroredHomepages
            // 
            this.twPFragMirroredHomepages.Dock = System.Windows.Forms.DockStyle.Fill;
            this.twPFragMirroredHomepages.Location = new System.Drawing.Point(3, 3);
            this.twPFragMirroredHomepages.Name = "twPFragMirroredHomepages";
            this.twPFragMirroredHomepages.Size = new System.Drawing.Size(282, 219);
            this.twPFragMirroredHomepages.TabIndex = 3;
            // 
            // lwPCInfo
            // 
            this.lwPCInfo.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
            this.columnHeader1,
            this.columnHeader2});
            this.lwPCInfo.Dock = System.Windows.Forms.DockStyle.Top;
            listViewGroup1.Header = "Osnovne informacije";
            listViewGroup1.Name = "listViewGroup1";
            listViewGroup2.Header = "Homepage";
            listViewGroup2.Name = "listViewGroup2";
            this.lwPCInfo.Groups.AddRange(new System.Windows.Forms.ListViewGroup[] {
            listViewGroup1,
            listViewGroup2});
            this.lwPCInfo.Location = new System.Drawing.Point(3, 3);
            this.lwPCInfo.Name = "lwPCInfo";
            this.lwPCInfo.Size = new System.Drawing.Size(296, 229);
            this.lwPCInfo.TabIndex = 0;
            this.lwPCInfo.UseCompatibleStateImageBehavior = false;
            this.lwPCInfo.View = System.Windows.Forms.View.Details;
            // 
            // columnHeader1
            // 
            this.columnHeader1.Text = "ID";
            this.columnHeader1.Width = 67;
            // 
            // columnHeader2
            // 
            this.columnHeader2.Text = "Vrijednost";
            this.columnHeader2.Width = 105;
            // 
            // tabPFrags
            // 
            this.tabPFrags.Controls.Add(this.tabPFragSelect);
            this.tabPFrags.Controls.Add(this.btnInvadeCancel);
            this.tabPFrags.Controls.Add(this.btnDisplayOptions);
            this.tabPFrags.Location = new System.Drawing.Point(4, 26);
            this.tabPFrags.Name = "tabPFrags";
            this.tabPFrags.Padding = new System.Windows.Forms.Padding(3);
            this.tabPFrags.Size = new System.Drawing.Size(302, 488);
            this.tabPFrags.TabIndex = 2;
            this.tabPFrags.Text = "Program fragments";
            this.tabPFrags.UseVisualStyleBackColor = true;
            // 
            // tabPFragSelect
            // 
            this.tabPFragSelect.Controls.Add(this.tabPFragSelection);
            this.tabPFragSelect.Controls.Add(this.tabPFragOptions);
            this.tabPFragSelect.Location = new System.Drawing.Point(14, 6);
            this.tabPFragSelect.Name = "tabPFragSelect";
            this.tabPFragSelect.SelectedIndex = 0;
            this.tabPFragSelect.Size = new System.Drawing.Size(280, 378);
            this.tabPFragSelect.TabIndex = 6;
            // 
            // tabPFragSelection
            // 
            this.tabPFragSelection.Controls.Add(this.processFragments);
            this.tabPFragSelection.Controls.Add(this.label4);
            this.tabPFragSelection.Controls.Add(this.txtFragDescription);
            this.tabPFragSelection.Controls.Add(this.label1);
            this.tabPFragSelection.Location = new System.Drawing.Point(4, 26);
            this.tabPFragSelection.Name = "tabPFragSelection";
            this.tabPFragSelection.Padding = new System.Windows.Forms.Padding(3);
            this.tabPFragSelection.Size = new System.Drawing.Size(272, 348);
            this.tabPFragSelection.TabIndex = 0;
            this.tabPFragSelection.Text = "Program";
            this.tabPFragSelection.UseVisualStyleBackColor = true;
            // 
            // processFragments
            // 
            this.processFragments.Location = new System.Drawing.Point(6, 29);
            this.processFragments.Name = "processFragments";
            this.processFragments.ShowNodeToolTips = true;
            this.processFragments.Size = new System.Drawing.Size(258, 196);
            this.processFragments.TabIndex = 8;
            this.processFragments.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.processFragments_AfterSelect);
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(3, 228);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(89, 23);
            this.label4.TabIndex = 7;
            this.label4.Text = "Opis procesa";
            this.label4.UseCompatibleTextRendering = true;
            // 
            // txtFragDescription
            // 
            this.txtFragDescription.Location = new System.Drawing.Point(6, 254);
            this.txtFragDescription.Multiline = true;
            this.txtFragDescription.Name = "txtFragDescription";
            this.txtFragDescription.ReadOnly = true;
            this.txtFragDescription.Size = new System.Drawing.Size(258, 89);
            this.txtFragDescription.TabIndex = 6;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(6, 3);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(48, 23);
            this.label1.TabIndex = 5;
            this.label1.Text = "Proces";
            this.label1.UseCompatibleTextRendering = true;
            // 
            // tabPFragOptions
            // 
            this.tabPFragOptions.Controls.Add(this.panel2);
            this.tabPFragOptions.Controls.Add(this.panel1);
            this.tabPFragOptions.Location = new System.Drawing.Point(4, 26);
            this.tabPFragOptions.Name = "tabPFragOptions";
            this.tabPFragOptions.Padding = new System.Windows.Forms.Padding(3);
            this.tabPFragOptions.Size = new System.Drawing.Size(272, 348);
            this.tabPFragOptions.TabIndex = 1;
            this.tabPFragOptions.Text = "Opcije";
            this.tabPFragOptions.UseVisualStyleBackColor = true;
            // 
            // panel2
            // 
            this.panel2.Controls.Add(this.btmSelectPortal);
            this.panel2.Controls.Add(this.txtInvadeThisPC);
            this.panel2.Controls.Add(this.label6);
            this.panel2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.panel2.Location = new System.Drawing.Point(3, 3);
            this.panel2.Name = "panel2";
            this.panel2.Size = new System.Drawing.Size(266, 64);
            this.panel2.TabIndex = 3;
            // 
            // btmSelectPortal
            // 
            this.btmSelectPortal.Location = new System.Drawing.Point(218, 28);
            this.btmSelectPortal.Name = "btmSelectPortal";
            this.btmSelectPortal.Size = new System.Drawing.Size(40, 25);
            this.btmSelectPortal.TabIndex = 2;
            this.btmSelectPortal.Text = "...";
            this.btmSelectPortal.UseVisualStyleBackColor = true;
            this.btmSelectPortal.Click += new System.EventHandler(this.btmSelectPortal_Click);
            // 
            // txtInvadeThisPC
            // 
            this.txtInvadeThisPC.Location = new System.Drawing.Point(3, 28);
            this.txtInvadeThisPC.Name = "txtInvadeThisPC";
            this.txtInvadeThisPC.ReadOnly = true;
            this.txtInvadeThisPC.Size = new System.Drawing.Size(209, 25);
            this.txtInvadeThisPC.TabIndex = 1;
            this.txtInvadeThisPC.TextChanged += new System.EventHandler(this.txtInvadeThisPC_TextChanged);
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(3, 7);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(76, 18);
            this.label6.TabIndex = 0;
            this.label6.Text = "Početni PC";
            // 
            // panel1
            // 
            this.panel1.Controls.Add(this.stateVectorProperties);
            this.panel1.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.panel1.Location = new System.Drawing.Point(3, 67);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(266, 278);
            this.panel1.TabIndex = 2;
            // 
            // stateVectorProperties
            // 
            this.stateVectorProperties.Dock = System.Windows.Forms.DockStyle.Fill;
            this.stateVectorProperties.Location = new System.Drawing.Point(0, 0);
            this.stateVectorProperties.Name = "stateVectorProperties";
            this.stateVectorProperties.Size = new System.Drawing.Size(266, 278);
            this.stateVectorProperties.TabIndex = 2;
            // 
            // btnInvadeCancel
            // 
            this.btnInvadeCancel.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnInvadeCancel.Location = new System.Drawing.Point(14, 430);
            this.btnInvadeCancel.Name = "btnInvadeCancel";
            this.btnInvadeCancel.Size = new System.Drawing.Size(280, 30);
            this.btnInvadeCancel.TabIndex = 5;
            this.btnInvadeCancel.Text = "Odustani";
            this.btnInvadeCancel.UseCompatibleTextRendering = true;
            this.btnInvadeCancel.UseVisualStyleBackColor = true;
            this.btnInvadeCancel.Click += new System.EventHandler(this.btnInvadeCancel_Click);
            // 
            // btnDisplayOptions
            // 
            this.btnDisplayOptions.Enabled = false;
            this.btnDisplayOptions.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnDisplayOptions.Location = new System.Drawing.Point(14, 390);
            this.btnDisplayOptions.Name = "btnDisplayOptions";
            this.btnDisplayOptions.Size = new System.Drawing.Size(280, 30);
            this.btnDisplayOptions.TabIndex = 4;
            this.btnDisplayOptions.Text = "Opcije";
            this.btnDisplayOptions.UseCompatibleTextRendering = true;
            this.btnDisplayOptions.UseVisualStyleBackColor = true;
            this.btnDisplayOptions.Click += new System.EventHandler(this.btnDisplayOptions_Click);
            // 
            // tabMassKill
            // 
            this.tabMassKill.Controls.Add(this.label9);
            this.tabMassKill.Controls.Add(this.numDisableRandomPercentage);
            this.tabMassKill.Controls.Add(this.btnMassKillCancel);
            this.tabMassKill.Controls.Add(this.btnMassKillExecute);
            this.tabMassKill.Location = new System.Drawing.Point(4, 26);
            this.tabMassKill.Name = "tabMassKill";
            this.tabMassKill.Padding = new System.Windows.Forms.Padding(3);
            this.tabMassKill.Size = new System.Drawing.Size(302, 488);
            this.tabMassKill.TabIndex = 3;
            this.tabMassKill.Text = "Odabir PCova";
            this.tabMassKill.UseVisualStyleBackColor = true;
            this.tabMassKill.Click += new System.EventHandler(this.tabMassKill_Click);
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(18, 27);
            this.label9.Margin = new System.Windows.Forms.Padding(5, 0, 5, 0);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(160, 23);
            this.label9.TabIndex = 18;
            this.label9.Text = "Postotak za uništavanje";
            this.label9.UseCompatibleTextRendering = true;
            // 
            // numDisableRandomPercentage
            // 
            this.numDisableRandomPercentage.DecimalPlaces = 2;
            this.numDisableRandomPercentage.Location = new System.Drawing.Point(169, 54);
            this.numDisableRandomPercentage.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.numDisableRandomPercentage.Name = "numDisableRandomPercentage";
            this.numDisableRandomPercentage.Size = new System.Drawing.Size(107, 25);
            this.numDisableRandomPercentage.TabIndex = 17;
            this.numDisableRandomPercentage.Tag = "MaximumComputerCount";
            this.numDisableRandomPercentage.ValueChanged += new System.EventHandler(this.numDisableRandomPercentage_ValueChanged);
            // 
            // btnMassKillCancel
            // 
            this.btnMassKillCancel.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnMassKillCancel.Location = new System.Drawing.Point(6, 150);
            this.btnMassKillCancel.Name = "btnMassKillCancel";
            this.btnMassKillCancel.Size = new System.Drawing.Size(280, 30);
            this.btnMassKillCancel.TabIndex = 1;
            this.btnMassKillCancel.Text = "Odustani";
            this.btnMassKillCancel.UseVisualStyleBackColor = true;
            this.btnMassKillCancel.Click += new System.EventHandler(this.btnMassKillCancel_Click);
            // 
            // btnMassKillExecute
            // 
            this.btnMassKillExecute.Enabled = false;
            this.btnMassKillExecute.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnMassKillExecute.Location = new System.Drawing.Point(6, 114);
            this.btnMassKillExecute.Name = "btnMassKillExecute";
            this.btnMassKillExecute.Size = new System.Drawing.Size(280, 30);
            this.btnMassKillExecute.TabIndex = 0;
            this.btnMassKillExecute.Text = "Makni odabrane PCove";
            this.btnMassKillExecute.UseVisualStyleBackColor = true;
            this.btnMassKillExecute.Click += new System.EventHandler(this.btnMassKillExecute_Click);
            // 
            // tabSenzor
            // 
            this.tabSenzor.Controls.Add(this.tabSensorInsertType);
            this.tabSenzor.Controls.Add(this.twSenzors);
            this.tabSenzor.Controls.Add(this.btnCancelInsertSenzor);
            this.tabSenzor.Controls.Add(this.btnInsertSensors);
            this.tabSenzor.Location = new System.Drawing.Point(4, 26);
            this.tabSenzor.Name = "tabSenzor";
            this.tabSenzor.Padding = new System.Windows.Forms.Padding(3);
            this.tabSenzor.Size = new System.Drawing.Size(302, 488);
            this.tabSenzor.TabIndex = 4;
            this.tabSenzor.Text = "Senzor";
            this.tabSenzor.UseVisualStyleBackColor = true;
            // 
            // tabSensorInsertType
            // 
            this.tabSensorInsertType.Controls.Add(this.tabPage5);
            this.tabSensorInsertType.Controls.Add(this.tabRandomInsertSensors);
            this.tabSensorInsertType.Location = new System.Drawing.Point(6, 197);
            this.tabSensorInsertType.Name = "tabSensorInsertType";
            this.tabSensorInsertType.SelectedIndex = 0;
            this.tabSensorInsertType.Size = new System.Drawing.Size(288, 203);
            this.tabSensorInsertType.TabIndex = 6;
            this.tabSensorInsertType.SelectedIndexChanged += new System.EventHandler(this.tabControl3_SelectedIndexChanged);
            // 
            // tabPage5
            // 
            this.tabPage5.Controls.Add(this.lwSenzersToAdd);
            this.tabPage5.Location = new System.Drawing.Point(4, 26);
            this.tabPage5.Name = "tabPage5";
            this.tabPage5.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage5.Size = new System.Drawing.Size(280, 173);
            this.tabPage5.TabIndex = 0;
            this.tabPage5.Text = "Pojedinačno";
            this.tabPage5.UseVisualStyleBackColor = true;
            // 
            // lwSenzersToAdd
            // 
            this.lwSenzersToAdd.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
            this.columnHeader6,
            this.columnHeader7});
            this.lwSenzersToAdd.Dock = System.Windows.Forms.DockStyle.Fill;
            this.lwSenzersToAdd.Location = new System.Drawing.Point(3, 3);
            this.lwSenzersToAdd.Name = "lwSenzersToAdd";
            this.lwSenzersToAdd.Size = new System.Drawing.Size(274, 167);
            this.lwSenzersToAdd.TabIndex = 6;
            this.lwSenzersToAdd.UseCompatibleStateImageBehavior = false;
            this.lwSenzersToAdd.View = System.Windows.Forms.View.Details;
            // 
            // columnHeader6
            // 
            this.columnHeader6.Text = "Ime";
            this.columnHeader6.Width = 129;
            // 
            // columnHeader7
            // 
            this.columnHeader7.Text = "Lokacija";
            this.columnHeader7.Width = 90;
            // 
            // tabRandomInsertSensors
            // 
            this.tabRandomInsertSensors.Controls.Add(this.numRandomSenzorsCount);
            this.tabRandomInsertSensors.Controls.Add(this.label8);
            this.tabRandomInsertSensors.Location = new System.Drawing.Point(4, 26);
            this.tabRandomInsertSensors.Name = "tabRandomInsertSensors";
            this.tabRandomInsertSensors.Padding = new System.Windows.Forms.Padding(3);
            this.tabRandomInsertSensors.Size = new System.Drawing.Size(280, 173);
            this.tabRandomInsertSensors.TabIndex = 1;
            this.tabRandomInsertSensors.Text = "Grupno";
            this.tabRandomInsertSensors.UseVisualStyleBackColor = true;
            // 
            // numRandomSenzorsCount
            // 
            this.numRandomSenzorsCount.Location = new System.Drawing.Point(165, 67);
            this.numRandomSenzorsCount.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.numRandomSenzorsCount.Maximum = new decimal(new int[] {
            100000,
            0,
            0,
            0});
            this.numRandomSenzorsCount.Minimum = new decimal(new int[] {
            10,
            0,
            0,
            0});
            this.numRandomSenzorsCount.Name = "numRandomSenzorsCount";
            this.numRandomSenzorsCount.Size = new System.Drawing.Size(107, 25);
            this.numRandomSenzorsCount.TabIndex = 16;
            this.numRandomSenzorsCount.Tag = "MaximumComputerCount";
            this.numRandomSenzorsCount.Value = new decimal(new int[] {
            2000,
            0,
            0,
            0});
            this.numRandomSenzorsCount.ValueChanged += new System.EventHandler(this.numRandomSenzorsCount_ValueChanged);
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(15, 31);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(155, 18);
            this.label8.TabIndex = 0;
            this.label8.Text = "Broj senzora za ubaciti";
            // 
            // twSenzors
            // 
            this.twSenzors.Location = new System.Drawing.Point(6, 6);
            this.twSenzors.Name = "twSenzors";
            this.twSenzors.Size = new System.Drawing.Size(288, 185);
            this.twSenzors.TabIndex = 4;
            this.twSenzors.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.twSenzors_AfterSelect);
            // 
            // btnCancelInsertSenzor
            // 
            this.btnCancelInsertSenzor.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnCancelInsertSenzor.Location = new System.Drawing.Point(14, 442);
            this.btnCancelInsertSenzor.Name = "btnCancelInsertSenzor";
            this.btnCancelInsertSenzor.Size = new System.Drawing.Size(280, 30);
            this.btnCancelInsertSenzor.TabIndex = 3;
            this.btnCancelInsertSenzor.Text = "Odustani";
            this.btnCancelInsertSenzor.UseVisualStyleBackColor = true;
            this.btnCancelInsertSenzor.Click += new System.EventHandler(this.btnCancelInsertSenzor_Click);
            // 
            // btnInsertSensors
            // 
            this.btnInsertSensors.Enabled = false;
            this.btnInsertSensors.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.btnInsertSensors.Location = new System.Drawing.Point(14, 406);
            this.btnInsertSensors.Name = "btnInsertSensors";
            this.btnInsertSensors.Size = new System.Drawing.Size(280, 30);
            this.btnInsertSensors.TabIndex = 2;
            this.btnInsertSensors.Text = "Ubaci senzore";
            this.btnInsertSensors.UseVisualStyleBackColor = true;
            this.btnInsertSensors.Click += new System.EventHandler(this.btnInsertSensors_Click);
            // 
            // dialogSaveAvi
            // 
            this.dialogSaveAvi.Filter = "AVI Files|*.avi";
            this.dialogSaveAvi.Title = "Odaberite AVI datoteku";
            // 
            // panDisplayContainer
            // 
            this.panDisplayContainer.AutoScroll = true;
            this.panDisplayContainer.AutoScrollMargin = new System.Drawing.Size(10, 10);
            this.panDisplayContainer.AutoScrollMinSize = new System.Drawing.Size(10, 10);
            this.panDisplayContainer.BackColor = System.Drawing.Color.Black;
            this.panDisplayContainer.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.panDisplayContainer.Controls.Add(this.panDisplay);
            this.panDisplayContainer.Dock = System.Windows.Forms.DockStyle.Fill;
            this.panDisplayContainer.Location = new System.Drawing.Point(0, 84);
            this.panDisplayContainer.Name = "panDisplayContainer";
            this.panDisplayContainer.Size = new System.Drawing.Size(710, 510);
            this.panDisplayContainer.TabIndex = 4;
            // 
            // panDisplay
            // 
            this.panDisplay.BackColor = System.Drawing.Color.Black;
            this.panDisplay.CausesValidation = false;
            this.panDisplay.Cursor = System.Windows.Forms.Cursors.Default;
            this.panDisplay.ForeColor = System.Drawing.Color.Black;
            this.panDisplay.Location = new System.Drawing.Point(0, 0);
            this.panDisplay.Margin = new System.Windows.Forms.Padding(0);
            this.panDisplay.Name = "panDisplay";
            this.panDisplay.Size = new System.Drawing.Size(400, 400);
            this.panDisplay.TabIndex = 3;
            this.panDisplay.MouseDown += new System.Windows.Forms.MouseEventHandler(this.panDisplay_MouseDown);
            this.panDisplay.MouseMove += new System.Windows.Forms.MouseEventHandler(this.panDisplay_MouseMove);
            this.panDisplay.Resize += new System.EventHandler(this.panDisplay_Resize);
            // 
            // hSplit
            // 
            this.hSplit.BackColor = System.Drawing.SystemColors.InactiveCaptionText;
            this.hSplit.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.hSplit.Dock = System.Windows.Forms.DockStyle.Right;
            this.hSplit.Location = new System.Drawing.Point(710, 84);
            this.hSplit.Name = "hSplit";
            this.hSplit.Size = new System.Drawing.Size(8, 510);
            this.hSplit.TabIndex = 5;
            this.hSplit.TabStop = false;
            this.hSplit.SplitterMoved += new System.Windows.Forms.SplitterEventHandler(this.hSplit_SplitterMoved);
            // 
            // splitter1
            // 
            this.splitter1.BackColor = System.Drawing.SystemColors.InactiveCaptionText;
            this.splitter1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.splitter1.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.splitter1.Location = new System.Drawing.Point(0, 594);
            this.splitter1.Name = "splitter1";
            this.splitter1.Size = new System.Drawing.Size(718, 8);
            this.splitter1.TabIndex = 6;
            this.splitter1.TabStop = false;
            // 
            // frmGUI
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(8F, 17F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(1028, 745);
            this.Controls.Add(this.panDisplayContainer);
            this.Controls.Add(this.hSplit);
            this.Controls.Add(this.splitter1);
            this.Controls.Add(this.tabOpcije);
            this.Controls.Add(this.toolStripContainer1);
            this.Controls.Add(this.tabOutput);
            this.Font = new System.Drawing.Font("Tahoma", 9.980198F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(238)));
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MainMenuStrip = this.menuMain;
            this.Margin = new System.Windows.Forms.Padding(5, 4, 5, 4);
            this.Name = "frmGUI";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Paintable Computers Simulator";
            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.frmGUI_FormClosing);
            this.Load += new System.EventHandler(this.frmGUI_Load);
            this.menuMain.ResumeLayout(false);
            this.menuMain.PerformLayout();
            this.tabOutput.ResumeLayout(false);
            this.tabInfo.ResumeLayout(false);
            this.tabDebug.ResumeLayout(false);
            this.toolStripContainer1.ContentPanel.ResumeLayout(false);
            this.toolStripContainer1.ContentPanel.PerformLayout();
            this.toolStripContainer1.TopToolStripPanel.ResumeLayout(false);
            this.toolStripContainer1.TopToolStripPanel.PerformLayout();
            this.toolStripContainer1.ResumeLayout(false);
            this.toolStripContainer1.PerformLayout();
            this.toolStrip.ResumeLayout(false);
            this.toolStrip.PerformLayout();
            this.tabOpcije.ResumeLayout(false);
            this.tabNovaSimulacija.ResumeLayout(false);
            this.tabControl1.ResumeLayout(false);
            this.tabPage1.ResumeLayout(false);
            this.tabPage1.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.txtWirelessRadius)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txtbrojPC)).EndInit();
            this.tabPage2.ResumeLayout(false);
            this.tabDebugPC.ResumeLayout(false);
            this.tabControl2.ResumeLayout(false);
            this.tabPage3.ResumeLayout(false);
            this.tabPage4.ResumeLayout(false);
            this.tabPFrags.ResumeLayout(false);
            this.tabPFragSelect.ResumeLayout(false);
            this.tabPFragSelection.ResumeLayout(false);
            this.tabPFragSelection.PerformLayout();
            this.tabPFragOptions.ResumeLayout(false);
            this.panel2.ResumeLayout(false);
            this.panel2.PerformLayout();
            this.panel1.ResumeLayout(false);
            this.tabMassKill.ResumeLayout(false);
            this.tabMassKill.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numDisableRandomPercentage)).EndInit();
            this.tabSenzor.ResumeLayout(false);
            this.tabSensorInsertType.ResumeLayout(false);
            this.tabPage5.ResumeLayout(false);
            this.tabRandomInsertSensors.ResumeLayout(false);
            this.tabRandomInsertSensors.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numRandomSenzorsCount)).EndInit();
            this.panDisplayContainer.ResumeLayout(false);
            this.ResumeLayout(false);

        }
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator5;
		private System.Windows.Forms.MenuStrip menuMain;

		#endregion

		private System.Windows.Forms.TabControl tabOutput;
		private System.Windows.Forms.TabPage tabInfo;
		private System.Windows.Forms.TabPage tabDebug;
		private System.Windows.Forms.ToolStripContainer toolStripContainer1;
		private System.Windows.Forms.ToolStrip toolStrip;
		private System.Windows.Forms.ToolStripButton btnNewSimulation;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem1;
        private System.Windows.Forms.TabControl tabOpcije;
        private System.Windows.Forms.TabPage tabNovaSimulacija;
        private System.Windows.Forms.ToolStripMenuItem mnuNewSimulation;
        private System.Windows.Forms.Button btnDoStartSimulation;
        private System.Windows.Forms.ToolStripMenuItem debugToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem mnuShowPCInfo;
        private System.Windows.Forms.TabPage tabDebugPC;
        private System.Windows.Forms.ListView lwPCInfo;
        private System.Windows.Forms.ColumnHeader columnHeader1;
        private System.Windows.Forms.ColumnHeader columnHeader2;
        private System.Windows.Forms.ListView listboxInfo;
        private System.Windows.Forms.ColumnHeader columnHeader3;
        private System.Windows.Forms.ColumnHeader columnHeader4;
        private System.Windows.Forms.ToolStripMenuItem oProgramuToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem mnuAbout;
        private System.Windows.Forms.ToolStripSeparator toolStripMenuItem2;
        private System.Windows.Forms.ToolStripMenuItem mnuStartStop;
        private System.Windows.Forms.ToolStripMenuItem mnuStep;
        private System.Windows.Forms.ToolStripButton btnCancelSimulation;
        private System.Windows.Forms.ToolStripMenuItem mnuCancelSimulation;
        private System.Windows.Forms.ListBox listboxDebug;
        private System.Windows.Forms.TabPage tabPFrags;
        private System.Windows.Forms.Button btnDisplayOptions;
        private System.Windows.Forms.Button btnInvadeCancel;
        private System.Windows.Forms.Button btnDoCancelSimulation;
        private System.Windows.Forms.ToolStripMenuItem mnuCommunication;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
        private System.Windows.Forms.ToolStripButton btnStartStop;
        private System.Windows.Forms.ToolStripButton btnStep;
        private System.Windows.Forms.ToolStripButton btnInvadePC;
        private System.Windows.Forms.ToolStripButton btnShowPCInfo;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator2;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator3;
        private System.Windows.Forms.ToolStripButton btnCommunication;
        private System.Windows.Forms.ToolStripMenuItem prikazToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem mnuViewTypes;
        private System.Windows.Forms.ToolStripMenuItem mnuGraphicDisplay;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator4;
        private System.Windows.Forms.ToolStripMenuItem mnuDoShowScreen;
        private System.Windows.Forms.ToolStripSeparator mnuDisplaySeparator;
        private System.Windows.Forms.ToolStripMenuItem mnuShowCurrentScreen;
        private System.Windows.Forms.TabPage tabMassKill;
        private System.Windows.Forms.TabControl tabPFragSelect;
        private System.Windows.Forms.TabPage tabPFragSelection;
        private System.Windows.Forms.TabPage tabPFragOptions;
        private System.Windows.Forms.TextBox txtFragDescription;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.Panel panel1;
        private System.Windows.Forms.PropertyGrid stateVectorProperties;
        private System.Windows.Forms.Panel panel2;
        private System.Windows.Forms.TextBox txtInvadeThisPC;
        private System.Windows.Forms.Label label6;
        private System.Windows.Forms.Button btmSelectPortal;
        private System.Windows.Forms.TreeView processFragments;
        private System.Windows.Forms.Button btnMassKillCancel;
        private System.Windows.Forms.Button btnMassKillExecute;
        private System.Windows.Forms.ToolStripMenuItem mnuShowInfo;
        private System.Windows.Forms.ToolStripMenuItem mnuAviExport;
        private System.Windows.Forms.ToolStripMenuItem mnuCompressAvi;
        private System.Windows.Forms.SaveFileDialog dialogSaveAvi;
        private System.Windows.Forms.ToolStripMenuItem nekompresiranoToolStripMenuItem;
        private System.Windows.Forms.ToolStripSeparator toolStripMenuItem3;
        private System.Windows.Forms.TabControl tabControl1;
        private System.Windows.Forms.TabPage tabPage1;
        private System.Windows.Forms.TabPage tabPage2;
        private System.Windows.Forms.PropertyGrid propertyEngineSettings;
        private System.Windows.Forms.Button btnSetAviFile;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.TextBox txtAVIOut;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.NumericUpDown txtWirelessRadius;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.NumericUpDown txtbrojPC;
        private System.Windows.Forms.Panel panDisplayContainer;
        private System.Windows.Forms.Splitter hSplit;
        private System.Windows.Forms.ToolStripMenuItem zoomToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem6;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem5;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem7;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem10;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem11;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem9;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem8;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem12;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem13;
        private System.Windows.Forms.ToolStripMenuItem mnuNewDefaultSimulation;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator6;
        private System.Windows.Forms.ToolStripButton btnInsertSenzor;
        private System.Windows.Forms.ToolStripMenuItem akcijeToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem mnuInvadePC;
        private System.Windows.Forms.ToolStripMenuItem mnuInsertSenzor;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator7;
        private System.Windows.Forms.ToolStripMenuItem mnuDeleteRegion;
        private System.Windows.Forms.TabPage tabSenzor;
        private System.Windows.Forms.Button btnCancelInsertSenzor;
        private System.Windows.Forms.Button btnInsertSensors;
        private System.Windows.Forms.TreeView twSenzors;
        private System.Windows.Forms.Splitter splitter1;
        private System.Windows.Forms.Panel panDisplay;
        private System.Windows.Forms.TabControl tabControl2;
        private System.Windows.Forms.TabPage tabPage3;
        private System.Windows.Forms.TabPage tabPage4;
        private System.Windows.Forms.TreeView twPFragHomepages;
        private System.Windows.Forms.TreeView twPFragMirroredHomepages;
        private System.Windows.Forms.ToolStripMenuItem huffYUVToolStripMenuItem;
        private System.Windows.Forms.ComboBox cbDefaultTypes;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.ToolStripMenuItem mnuScreenShot;
        private System.Windows.Forms.Label label9;
        private System.Windows.Forms.NumericUpDown numDisableRandomPercentage;
        private System.Windows.Forms.ToolStripMenuItem mnuPCSeparator;
        private System.Windows.Forms.ToolStripMenuItem mnuSenzorSeparator;
        private System.Windows.Forms.TabControl tabSensorInsertType;
        private System.Windows.Forms.TabPage tabPage5;
        private System.Windows.Forms.ListView lwSenzersToAdd;
        private System.Windows.Forms.ColumnHeader columnHeader6;
        private System.Windows.Forms.ColumnHeader columnHeader7;
        private System.Windows.Forms.TabPage tabRandomInsertSensors;
        private System.Windows.Forms.Label label8;
        private System.Windows.Forms.NumericUpDown numRandomSenzorsCount;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator8;
        private System.Windows.Forms.ToolStripMenuItem mnuBoldSensorsAndPortals;
	
	}
}
