/*
	Paintable Computing Simulation

	License

	This software (Paintable Computing Simulation and all parts of its 
	source code) is provided "as is", without any warranty and it is 
	the property of its respective authors. Use of this software is 
	free to everyone, except in commercial and/or military purposes 
	without written permission of its authors. Disassembling the 
	executable code of this software is forbidden for any purpose 
	without written permission of its authors.

	If you intend to use any part of the source code of this software 
	or to develop this software any further, you must include this 
	license in every source file and every About box, without changing 
	it; only appending the license is allowed. And if you use any part 
	of the source code of this software, or develop it further, please 
	send an e-mail to its authors.

	Authors of this software are not responsible for any consequences 
	which use of this software, use of any part of its source or its 
	further development may cause.

	All software and parts of source code used in the development of 
	this software are property of their respective owners.

	Good luck,
	Authors

	Authors (alphabetically):
	Fabijan Lukin
		fabijan@gmail.com
		fabijan.lukin@fer.hr
	Fran Pregernik
		fran.pregernik@gmail.com
		fran.pregernik@fer.hr
	Tomislav Sukser
		tomislav.sukser@gmail.com
		tomislav.sukser@zg.t-com.hr
		tomislav.sukser@fer.hr


	Note:
	Paintable computing was firstly introduced in Programming a 
	Paintable Computer written by William Joseph Butera.


    Copyright (c) 2005,2006. All rights reserved.
    4-6/2006

 */

namespace PaintableSimulator.SmartClient
{
	partial class DebugVisualizer
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components = null;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing && (components != null))
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(DebugVisualizer));
			this.debugHomepageContents = new System.Windows.Forms.TreeView();
			this.homepagesTab = new System.Windows.Forms.TabControl();
			this.tabPage1 = new System.Windows.Forms.TabPage();
			this.tabPage2 = new System.Windows.Forms.TabPage();
			this.mirrorSelector = new System.Windows.Forms.DomainUpDown();
			this.debugMirrorHomepage = new System.Windows.Forms.TreeView();
			this.homepagesTab.SuspendLayout();
			this.tabPage1.SuspendLayout();
			this.tabPage2.SuspendLayout();
			this.SuspendLayout();
			// 
			// debugHomepageContents
			// 
			this.debugHomepageContents.BorderStyle = System.Windows.Forms.BorderStyle.None;
			resources.ApplyResources(this.debugHomepageContents, "debugHomepageContents");
			this.debugHomepageContents.Name = "debugHomepageContents";
			// 
			// homepagesTab
			// 
			this.homepagesTab.Controls.Add(this.tabPage1);
			this.homepagesTab.Controls.Add(this.tabPage2);
			resources.ApplyResources(this.homepagesTab, "homepagesTab");
			this.homepagesTab.Name = "homepagesTab";
			this.homepagesTab.SelectedIndex = 0;
			// 
			// tabPage1
			// 
			this.tabPage1.Controls.Add(this.debugHomepageContents);
			resources.ApplyResources(this.tabPage1, "tabPage1");
			this.tabPage1.Name = "tabPage1";
			this.tabPage1.UseVisualStyleBackColor = true;
			// 
			// tabPage2
			// 
			this.tabPage2.Controls.Add(this.debugMirrorHomepage);
			this.tabPage2.Controls.Add(this.mirrorSelector);
			resources.ApplyResources(this.tabPage2, "tabPage2");
			this.tabPage2.Name = "tabPage2";
			this.tabPage2.UseVisualStyleBackColor = true;
			// 
			// mirrorSelector
			// 
			this.mirrorSelector.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			resources.ApplyResources(this.mirrorSelector, "mirrorSelector");
			this.mirrorSelector.Name = "mirrorSelector";
			this.mirrorSelector.SelectedItemChanged += new System.EventHandler(this.mirrorSelector_SelectedItemChanged);
			// 
			// debugMirrorHomepage
			// 
			this.debugMirrorHomepage.BorderStyle = System.Windows.Forms.BorderStyle.None;
			resources.ApplyResources(this.debugMirrorHomepage, "debugMirrorHomepage");
			this.debugMirrorHomepage.Name = "debugMirrorHomepage";
			// 
			// DebugVisualizer
			// 
			resources.ApplyResources(this, "$this");
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.Controls.Add(this.homepagesTab);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.Name = "DebugVisualizer";
			this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.DebugVisualizer_FormClosing);
			this.homepagesTab.ResumeLayout(false);
			this.tabPage1.ResumeLayout(false);
			this.tabPage2.ResumeLayout(false);
			this.ResumeLayout(false);

		}

		#endregion

		private System.Windows.Forms.TreeView debugHomepageContents;
		private System.Windows.Forms.TabControl homepagesTab;
		private System.Windows.Forms.TabPage tabPage1;
		private System.Windows.Forms.TabPage tabPage2;
		private System.Windows.Forms.TreeView debugMirrorHomepage;
		private System.Windows.Forms.DomainUpDown mirrorSelector;
	}
}