/*
	Paintable Computing Simulation

	License

	This software (Paintable Computing Simulation and all parts of its 
	source code) is provided "as is", without any warranty and it is 
	the property of its respective authors. Use of this software is 
	free to everyone, except in commercial and/or military purposes 
	without written permission of its authors. Disassembling the 
	executable code of this software is forbidden for any purpose 
	without written permission of its authors.

	If you intend to use any part of the source code of this software 
	or to develop this software any further, you must include this 
	license in every source file and every About box, without changing 
	it; only appending the license is allowed. And if you use any part 
	of the source code of this software, or develop it further, please 
	send an e-mail to its authors.

	Authors of this software are not responsible for any consequences 
	which use of this software, use of any part of its source or its 
	further development may cause.

	All software and parts of source code used in the development of 
	this software are property of their respective owners.

	Good luck,
	Authors

	Authors (alphabetically):
	Fabijan Lukin
		fabijan@gmail.com
		fabijan.lukin@fer.hr
	Fran Pregernik
		fran.pregernik@gmail.com
		fran.pregernik@fer.hr
	Tomislav Sukser
		tomislav.sukser@gmail.com
		tomislav.sukser@zg.t-com.hr
		tomislav.sukser@fer.hr


	Note:
	Paintable computing was firstly introduced in Programming a 
	Paintable Computer written by William Joseph Butera.


    Copyright (c) 2005,2006. All rights reserved.
    4-6/2006

 */
namespace PaintableSimulator.SmartClient
{
	partial class SimulatorClient
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components = null;

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing && (components != null))
			{
				components.Dispose();
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(SimulatorClient));
			this.splitContainer1 = new System.Windows.Forms.SplitContainer();
			this.simulatorProperties = new System.Windows.Forms.PropertyGrid();
			this.simulationControlToolbar = new System.Windows.Forms.ToolStrip();
			this.newSimulation = new System.Windows.Forms.ToolStripButton();
			this.toolStripSeparator2 = new System.Windows.Forms.ToolStripSeparator();
			this.paintableComputers = new System.Windows.Forms.ToolStripComboBox();
			this.initializeSimulation = new System.Windows.Forms.ToolStripButton();
			this.additionalTab = new System.Windows.Forms.TabControl();
			this.feedersTab = new System.Windows.Forms.TabPage();
			this.feedersList = new System.Windows.Forms.ListBox();
			this.registerEnvironmentFeeder = new System.Windows.Forms.Button();
			this.computersTab = new System.Windows.Forms.TabPage();
			this.computersList = new System.Windows.Forms.ListBox();
			this.addComputer = new System.Windows.Forms.Button();
			this.simulationControlTabs = new System.Windows.Forms.TabControl();
			this.simulatorTab = new System.Windows.Forms.TabPage();
			this.processFragmentTab = new System.Windows.Forms.TabPage();
			this.processFragmentsGroup = new System.Windows.Forms.GroupBox();
			this.processFragmentTree = new System.Windows.Forms.TreeView();
			this.processFragmentInitialization = new System.Windows.Forms.GroupBox();
			this.processFragmentProperties = new System.Windows.Forms.PropertyGrid();
			this.loadProcessFragment = new System.Windows.Forms.Button();
			this.debugTab = new System.Windows.Forms.TabPage();
			this.stopDebugger = new System.Windows.Forms.Button();
			this.selectComputerToDebug = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.logLister = new System.Windows.Forms.TextBox();
			this.simulatorDisplay = new System.Windows.Forms.PictureBox();
			this.displayVerticalScroll = new System.Windows.Forms.VScrollBar();
			this.displayHorizontalScroll = new System.Windows.Forms.HScrollBar();
			this.displayControl = new System.Windows.Forms.ToolStrip();
			this.runSimulation = new System.Windows.Forms.ToolStripButton();
			this.pauseSimulation = new System.Windows.Forms.ToolStripButton();
			this.stepSimulation = new System.Windows.Forms.ToolStripButton();
			this.toolStripSeparator3 = new System.Windows.Forms.ToolStripSeparator();
			this.deleteComputers = new System.Windows.Forms.ToolStripSplitButton();
			this.roundEraserToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.rectangleEraserToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.polygonalEraserToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.remove10ToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.remove30PercentToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.toolStripSeparator4 = new System.Windows.Forms.ToolStripSeparator();
			this.toolStripLabel2 = new System.Windows.Forms.ToolStripLabel();
			this.zoomSelection = new System.Windows.Forms.ToolStripComboBox();
			this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
			this.toolStripLabel1 = new System.Windows.Forms.ToolStripLabel();
			this.homepageColorizers = new System.Windows.Forms.ToolStripComboBox();
			this.lockColorizer = new System.Windows.Forms.ToolStripButton();
			this.toolStripSeparator8 = new System.Windows.Forms.ToolStripSeparator();
			this.processorUsageCounter = new System.Diagnostics.PerformanceCounter();
			this.memoryUsageCounter = new System.Diagnostics.PerformanceCounter();
			this.toolStripTextBox1 = new System.Windows.Forms.ToolStripSeparator();
			this.userInterfaceRefreshTimer = new System.Windows.Forms.Timer(this.components);
			this.toolStripButton1 = new System.Windows.Forms.ToolStripButton();
			this.simulationWorker = new System.ComponentModel.BackgroundWorker();
			this.mainMenu = new System.Windows.Forms.MenuStrip();
			this.simulatorEngineToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.newSimulatorToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.toolStripSeparator5 = new System.Windows.Forms.ToolStripSeparator();
			this.initializeSimulatorToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.toolStripSeparator6 = new System.Windows.Forms.ToolStripSeparator();
			this.runSimulationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.stopSimulationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.stepSimulationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.optionsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.removeComputersToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.poligonalRemoveToolToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.roundRemoveToolToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.rectangleRemoveToolToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.remove10ToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
			this.remove30PercentToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
			this.toolStripSeparator7 = new System.Windows.Forms.ToolStripSeparator();
			this.displayZoomToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.toolStripComboBox1 = new System.Windows.Forms.ToolStripComboBox();
			this.showLeftPanelToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.debugToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.selectComputerToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.stopDebuggerToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.helpToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.contentsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.indexToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.searchToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.toolStripSeparator9 = new System.Windows.Forms.ToolStripSeparator();
			this.aboutToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
			this.displayPanel = new System.Windows.Forms.Panel();
			this.simulatorPanel = new System.Windows.Forms.Panel();
			this.collapsibleSplitter = new NJFLib.Controls.CollapsibleSplitter();
			this.infoStatusStrip = new System.Windows.Forms.StatusStrip();
			this.simulationClockInfo = new System.Windows.Forms.ToolStripStatusLabel();
			this.simulationPacketsInfo = new System.Windows.Forms.ToolStripStatusLabel();
			this.simulationProcessorInfo = new System.Windows.Forms.ToolStripStatusLabel();
			this.simulationMemoryInfo = new System.Windows.Forms.ToolStripStatusLabel();
			this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
			this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
			this.genericToolTip = new System.Windows.Forms.ToolTip(this.components);
			this.splitContainer1.Panel1.SuspendLayout();
			this.splitContainer1.Panel2.SuspendLayout();
			this.splitContainer1.SuspendLayout();
			this.simulationControlToolbar.SuspendLayout();
			this.additionalTab.SuspendLayout();
			this.feedersTab.SuspendLayout();
			this.computersTab.SuspendLayout();
			this.simulationControlTabs.SuspendLayout();
			this.simulatorTab.SuspendLayout();
			this.processFragmentTab.SuspendLayout();
			this.processFragmentsGroup.SuspendLayout();
			this.processFragmentInitialization.SuspendLayout();
			this.debugTab.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.simulatorDisplay)).BeginInit();
			this.displayControl.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.processorUsageCounter)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.memoryUsageCounter)).BeginInit();
			this.mainMenu.SuspendLayout();
			this.displayPanel.SuspendLayout();
			this.simulatorPanel.SuspendLayout();
			this.infoStatusStrip.SuspendLayout();
			this.SuspendLayout();
			// 
			// splitContainer1
			// 
			resources.ApplyResources(this.splitContainer1, "splitContainer1");
			this.splitContainer1.Name = "splitContainer1";
			// 
			// splitContainer1.Panel1
			// 
			this.splitContainer1.Panel1.Controls.Add(this.simulatorProperties);
			this.splitContainer1.Panel1.Controls.Add(this.simulationControlToolbar);
			// 
			// splitContainer1.Panel2
			// 
			this.splitContainer1.Panel2.Controls.Add(this.additionalTab);
			// 
			// simulatorProperties
			// 
			resources.ApplyResources(this.simulatorProperties, "simulatorProperties");
			this.simulatorProperties.Name = "simulatorProperties";
			this.simulatorProperties.ToolbarVisible = false;
			// 
			// simulationControlToolbar
			// 
			this.simulationControlToolbar.GripStyle = System.Windows.Forms.ToolStripGripStyle.Hidden;
			this.simulationControlToolbar.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.newSimulation,
            this.toolStripSeparator2,
            this.paintableComputers,
            this.initializeSimulation});
			resources.ApplyResources(this.simulationControlToolbar, "simulationControlToolbar");
			this.simulationControlToolbar.Name = "simulationControlToolbar";
			// 
			// newSimulation
			// 
			this.newSimulation.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			this.newSimulation.Image = global::PaintableSimulator.SmartClient.Properties.Resources.NewDocumentHS;
			resources.ApplyResources(this.newSimulation, "newSimulation");
			this.newSimulation.Name = "newSimulation";
			this.newSimulation.Click += new System.EventHandler(this.newSimulation_Click);
			// 
			// toolStripSeparator2
			// 
			this.toolStripSeparator2.Name = "toolStripSeparator2";
			resources.ApplyResources(this.toolStripSeparator2, "toolStripSeparator2");
			// 
			// paintableComputers
			// 
			resources.ApplyResources(this.paintableComputers, "paintableComputers");
			this.paintableComputers.Name = "paintableComputers";
			// 
			// initializeSimulation
			// 
			this.initializeSimulation.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			resources.ApplyResources(this.initializeSimulation, "initializeSimulation");
			this.initializeSimulation.Image = global::PaintableSimulator.SmartClient.Properties.Resources.CheckGrammarHS;
			this.initializeSimulation.Name = "initializeSimulation";
			this.initializeSimulation.Click += new System.EventHandler(this.initializeSimulation_Click);
			// 
			// additionalTab
			// 
			this.additionalTab.Controls.Add(this.feedersTab);
			this.additionalTab.Controls.Add(this.computersTab);
			resources.ApplyResources(this.additionalTab, "additionalTab");
			this.additionalTab.Name = "additionalTab";
			this.additionalTab.SelectedIndex = 0;
			// 
			// feedersTab
			// 
			this.feedersTab.Controls.Add(this.feedersList);
			this.feedersTab.Controls.Add(this.registerEnvironmentFeeder);
			resources.ApplyResources(this.feedersTab, "feedersTab");
			this.feedersTab.Name = "feedersTab";
			this.feedersTab.UseVisualStyleBackColor = true;
			// 
			// feedersList
			// 
			this.feedersList.FormattingEnabled = true;
			resources.ApplyResources(this.feedersList, "feedersList");
			this.feedersList.Name = "feedersList";
			// 
			// registerEnvironmentFeeder
			// 
			resources.ApplyResources(this.registerEnvironmentFeeder, "registerEnvironmentFeeder");
			this.registerEnvironmentFeeder.Name = "registerEnvironmentFeeder";
			this.registerEnvironmentFeeder.UseVisualStyleBackColor = true;
			this.registerEnvironmentFeeder.Click += new System.EventHandler(this.registerEnvironmentFeeder_Click);
			// 
			// computersTab
			// 
			this.computersTab.Controls.Add(this.computersList);
			this.computersTab.Controls.Add(this.addComputer);
			resources.ApplyResources(this.computersTab, "computersTab");
			this.computersTab.Name = "computersTab";
			this.computersTab.UseVisualStyleBackColor = true;
			// 
			// computersList
			// 
			this.computersList.FormattingEnabled = true;
			resources.ApplyResources(this.computersList, "computersList");
			this.computersList.Name = "computersList";
			// 
			// addComputer
			// 
			resources.ApplyResources(this.addComputer, "addComputer");
			this.addComputer.Name = "addComputer";
			this.addComputer.UseVisualStyleBackColor = true;
			this.addComputer.Click += new System.EventHandler(this.addComputer_Click);
			// 
			// simulationControlTabs
			// 
			this.simulationControlTabs.Controls.Add(this.simulatorTab);
			this.simulationControlTabs.Controls.Add(this.processFragmentTab);
			this.simulationControlTabs.Controls.Add(this.debugTab);
			resources.ApplyResources(this.simulationControlTabs, "simulationControlTabs");
			this.simulationControlTabs.Name = "simulationControlTabs";
			this.simulationControlTabs.SelectedIndex = 0;
			// 
			// simulatorTab
			// 
			this.simulatorTab.Controls.Add(this.splitContainer1);
			resources.ApplyResources(this.simulatorTab, "simulatorTab");
			this.simulatorTab.Name = "simulatorTab";
			this.simulatorTab.UseVisualStyleBackColor = true;
			// 
			// processFragmentTab
			// 
			this.processFragmentTab.Controls.Add(this.processFragmentsGroup);
			this.processFragmentTab.Controls.Add(this.processFragmentInitialization);
			resources.ApplyResources(this.processFragmentTab, "processFragmentTab");
			this.processFragmentTab.Name = "processFragmentTab";
			this.processFragmentTab.UseVisualStyleBackColor = true;
			// 
			// processFragmentsGroup
			// 
			this.processFragmentsGroup.Controls.Add(this.processFragmentTree);
			resources.ApplyResources(this.processFragmentsGroup, "processFragmentsGroup");
			this.processFragmentsGroup.Name = "processFragmentsGroup";
			this.processFragmentsGroup.TabStop = false;
			// 
			// processFragmentTree
			// 
			this.processFragmentTree.BorderStyle = System.Windows.Forms.BorderStyle.None;
			resources.ApplyResources(this.processFragmentTree, "processFragmentTree");
			this.processFragmentTree.Name = "processFragmentTree";
			this.processFragmentTree.ShowNodeToolTips = true;
			this.processFragmentTree.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.processFragmentTree_AfterSelect);
			// 
			// processFragmentInitialization
			// 
			this.processFragmentInitialization.Controls.Add(this.processFragmentProperties);
			this.processFragmentInitialization.Controls.Add(this.loadProcessFragment);
			resources.ApplyResources(this.processFragmentInitialization, "processFragmentInitialization");
			this.processFragmentInitialization.Name = "processFragmentInitialization";
			this.processFragmentInitialization.TabStop = false;
			// 
			// processFragmentProperties
			// 
			resources.ApplyResources(this.processFragmentProperties, "processFragmentProperties");
			this.processFragmentProperties.Name = "processFragmentProperties";
			this.processFragmentProperties.ToolbarVisible = false;
			// 
			// loadProcessFragment
			// 
			resources.ApplyResources(this.loadProcessFragment, "loadProcessFragment");
			this.loadProcessFragment.Name = "loadProcessFragment";
			this.loadProcessFragment.UseVisualStyleBackColor = true;
			this.loadProcessFragment.Click += new System.EventHandler(this.loadProcessFragment_Click);
			// 
			// debugTab
			// 
			this.debugTab.Controls.Add(this.stopDebugger);
			this.debugTab.Controls.Add(this.selectComputerToDebug);
			this.debugTab.Controls.Add(this.label3);
			this.debugTab.Controls.Add(this.logLister);
			resources.ApplyResources(this.debugTab, "debugTab");
			this.debugTab.Name = "debugTab";
			this.debugTab.UseVisualStyleBackColor = true;
			// 
			// stopDebugger
			// 
			resources.ApplyResources(this.stopDebugger, "stopDebugger");
			this.stopDebugger.Name = "stopDebugger";
			this.stopDebugger.UseVisualStyleBackColor = true;
			this.stopDebugger.Click += new System.EventHandler(this.stopDebugger_Click);
			// 
			// selectComputerToDebug
			// 
			resources.ApplyResources(this.selectComputerToDebug, "selectComputerToDebug");
			this.selectComputerToDebug.Name = "selectComputerToDebug";
			this.selectComputerToDebug.UseVisualStyleBackColor = true;
			this.selectComputerToDebug.Click += new System.EventHandler(this.selectComputerToDebug_Click);
			// 
			// label3
			// 
			resources.ApplyResources(this.label3, "label3");
			this.label3.Name = "label3";
			// 
			// logLister
			// 
			this.logLister.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			resources.ApplyResources(this.logLister, "logLister");
			this.logLister.Name = "logLister";
			this.logLister.ReadOnly = true;
			// 
			// simulatorDisplay
			// 
			this.simulatorDisplay.BackColor = System.Drawing.Color.Black;
			resources.ApplyResources(this.simulatorDisplay, "simulatorDisplay");
			this.simulatorDisplay.Name = "simulatorDisplay";
			this.simulatorDisplay.TabStop = false;
			this.simulatorDisplay.Paint += new System.Windows.Forms.PaintEventHandler(this.simulatorDisplay_Paint);
			this.simulatorDisplay.Resize += new System.EventHandler(this.simulatorDisplay_Resize);
			// 
			// displayVerticalScroll
			// 
			resources.ApplyResources(this.displayVerticalScroll, "displayVerticalScroll");
			this.displayVerticalScroll.LargeChange = 50;
			this.displayVerticalScroll.Name = "displayVerticalScroll";
			this.displayVerticalScroll.SmallChange = 10;
			this.displayVerticalScroll.ValueChanged += new System.EventHandler(this.displayScroll_Changed);
			this.displayVerticalScroll.Scroll += new System.Windows.Forms.ScrollEventHandler(this.displayScroll_Scroll);
			// 
			// displayHorizontalScroll
			// 
			resources.ApplyResources(this.displayHorizontalScroll, "displayHorizontalScroll");
			this.displayHorizontalScroll.LargeChange = 50;
			this.displayHorizontalScroll.Name = "displayHorizontalScroll";
			this.displayHorizontalScroll.SmallChange = 10;
			this.displayHorizontalScroll.ValueChanged += new System.EventHandler(this.displayScroll_Changed);
			this.displayHorizontalScroll.Scroll += new System.Windows.Forms.ScrollEventHandler(this.displayScroll_Scroll);
			// 
			// displayControl
			// 
			resources.ApplyResources(this.displayControl, "displayControl");
			this.displayControl.GripStyle = System.Windows.Forms.ToolStripGripStyle.Hidden;
			this.displayControl.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.runSimulation,
            this.pauseSimulation,
            this.stepSimulation,
            this.toolStripSeparator3,
            this.deleteComputers,
            this.toolStripSeparator4,
            this.toolStripLabel2,
            this.zoomSelection,
            this.toolStripSeparator1,
            this.toolStripLabel1,
            this.homepageColorizers,
            this.lockColorizer,
            this.toolStripSeparator8});
			this.displayControl.Name = "displayControl";
			// 
			// runSimulation
			// 
			this.runSimulation.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			this.runSimulation.Image = global::PaintableSimulator.SmartClient.Properties.Resources.PlayHS;
			resources.ApplyResources(this.runSimulation, "runSimulation");
			this.runSimulation.Name = "runSimulation";
			this.runSimulation.Click += new System.EventHandler(this.runSimulation_Click);
			// 
			// pauseSimulation
			// 
			this.pauseSimulation.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			this.pauseSimulation.Image = global::PaintableSimulator.SmartClient.Properties.Resources.PauseHS;
			resources.ApplyResources(this.pauseSimulation, "pauseSimulation");
			this.pauseSimulation.Name = "pauseSimulation";
			this.pauseSimulation.Click += new System.EventHandler(this.pauseSimulation_Click);
			// 
			// stepSimulation
			// 
			this.stepSimulation.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			this.stepSimulation.Image = global::PaintableSimulator.SmartClient.Properties.Resources.PauseRecorderHS;
			resources.ApplyResources(this.stepSimulation, "stepSimulation");
			this.stepSimulation.Name = "stepSimulation";
			this.stepSimulation.Click += new System.EventHandler(this.stepSimulation_Click);
			// 
			// toolStripSeparator3
			// 
			this.toolStripSeparator3.Name = "toolStripSeparator3";
			resources.ApplyResources(this.toolStripSeparator3, "toolStripSeparator3");
			// 
			// deleteComputers
			// 
			this.deleteComputers.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			this.deleteComputers.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.roundEraserToolStripMenuItem,
            this.rectangleEraserToolStripMenuItem,
            this.polygonalEraserToolStripMenuItem,
            this.remove10ToolStripMenuItem,
            this.remove30PercentToolStripMenuItem});
			this.deleteComputers.Image = global::PaintableSimulator.SmartClient.Properties.Resources.DeleteHS;
			resources.ApplyResources(this.deleteComputers, "deleteComputers");
			this.deleteComputers.Name = "deleteComputers";
			// 
			// roundEraserToolStripMenuItem
			// 
			this.roundEraserToolStripMenuItem.Name = "roundEraserToolStripMenuItem";
			resources.ApplyResources(this.roundEraserToolStripMenuItem, "roundEraserToolStripMenuItem");
			this.roundEraserToolStripMenuItem.Click += new System.EventHandler(this.roundEraserToolStripMenuItem_Click);
			// 
			// rectangleEraserToolStripMenuItem
			// 
			this.rectangleEraserToolStripMenuItem.Name = "rectangleEraserToolStripMenuItem";
			resources.ApplyResources(this.rectangleEraserToolStripMenuItem, "rectangleEraserToolStripMenuItem");
			this.rectangleEraserToolStripMenuItem.Click += new System.EventHandler(this.rectangleEraserToolStripMenuItem_Click);
			// 
			// polygonalEraserToolStripMenuItem
			// 
			this.polygonalEraserToolStripMenuItem.Name = "polygonalEraserToolStripMenuItem";
			resources.ApplyResources(this.polygonalEraserToolStripMenuItem, "polygonalEraserToolStripMenuItem");
			this.polygonalEraserToolStripMenuItem.Click += new System.EventHandler(this.polygonalEraserToolStripMenuItem_Click);
			// 
			// remove10ToolStripMenuItem
			// 
			this.remove10ToolStripMenuItem.Name = "remove10ToolStripMenuItem";
			resources.ApplyResources(this.remove10ToolStripMenuItem, "remove10ToolStripMenuItem");
			this.remove10ToolStripMenuItem.Click += new System.EventHandler(this.remove10Percent_Click);
			// 
			// remove30PercentToolStripMenuItem
			// 
			this.remove30PercentToolStripMenuItem.Name = "remove30PercentToolStripMenuItem";
			resources.ApplyResources(this.remove30PercentToolStripMenuItem, "remove30PercentToolStripMenuItem");
			this.remove30PercentToolStripMenuItem.Click += new System.EventHandler(this.remove30Percent_Click);
			// 
			// toolStripSeparator4
			// 
			this.toolStripSeparator4.Name = "toolStripSeparator4";
			resources.ApplyResources(this.toolStripSeparator4, "toolStripSeparator4");
			// 
			// toolStripLabel2
			// 
			this.toolStripLabel2.Name = "toolStripLabel2";
			resources.ApplyResources(this.toolStripLabel2, "toolStripLabel2");
			// 
			// zoomSelection
			// 
			this.zoomSelection.AutoCompleteMode = System.Windows.Forms.AutoCompleteMode.Append;
			this.zoomSelection.Items.AddRange(new object[] {
            resources.GetString("zoomSelection.Items"),
            resources.GetString("zoomSelection.Items1"),
            resources.GetString("zoomSelection.Items2"),
            resources.GetString("zoomSelection.Items3"),
            resources.GetString("zoomSelection.Items4"),
            resources.GetString("zoomSelection.Items5"),
            resources.GetString("zoomSelection.Items6"),
            resources.GetString("zoomSelection.Items7")});
			resources.ApplyResources(this.zoomSelection, "zoomSelection");
			this.zoomSelection.Name = "zoomSelection";
			this.zoomSelection.TextUpdate += new System.EventHandler(this.zoomSelection_TextUpdate);
			this.zoomSelection.SelectedIndexChanged += new System.EventHandler(this.zoomSelection_SelectedIndexChanged);
			// 
			// toolStripSeparator1
			// 
			this.toolStripSeparator1.Name = "toolStripSeparator1";
			resources.ApplyResources(this.toolStripSeparator1, "toolStripSeparator1");
			// 
			// toolStripLabel1
			// 
			this.toolStripLabel1.Name = "toolStripLabel1";
			resources.ApplyResources(this.toolStripLabel1, "toolStripLabel1");
			// 
			// homepageColorizers
			// 
			this.homepageColorizers.Name = "homepageColorizers";
			resources.ApplyResources(this.homepageColorizers, "homepageColorizers");
			this.homepageColorizers.SelectedIndexChanged += new System.EventHandler(this.homepageColorizer_SelectedIndexChanged);
			// 
			// lockColorizer
			// 
			this.lockColorizer.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			this.lockColorizer.Image = global::PaintableSimulator.SmartClient.Properties.Resources.PushpinHS;
			resources.ApplyResources(this.lockColorizer, "lockColorizer");
			this.lockColorizer.Name = "lockColorizer";
			this.lockColorizer.Click += new System.EventHandler(this.lockColorizer_Click);
			// 
			// toolStripSeparator8
			// 
			this.toolStripSeparator8.Name = "toolStripSeparator8";
			resources.ApplyResources(this.toolStripSeparator8, "toolStripSeparator8");
			// 
			// processorUsageCounter
			// 
			this.processorUsageCounter.CategoryName = "Processor";
			this.processorUsageCounter.CounterName = "% Processor Time";
			this.processorUsageCounter.InstanceName = "_Total";
			// 
			// memoryUsageCounter
			// 
			this.memoryUsageCounter.CategoryName = "Memory";
			this.memoryUsageCounter.CounterName = "Write Copies/sec";
			// 
			// toolStripTextBox1
			// 
			this.toolStripTextBox1.Name = "toolStripTextBox1";
			resources.ApplyResources(this.toolStripTextBox1, "toolStripTextBox1");
			// 
			// userInterfaceRefreshTimer
			// 
			this.userInterfaceRefreshTimer.Interval = 500;
			this.userInterfaceRefreshTimer.Tick += new System.EventHandler(this.userInterfaceRefreshTimer_Tick);
			// 
			// toolStripButton1
			// 
			this.toolStripButton1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
			resources.ApplyResources(this.toolStripButton1, "toolStripButton1");
			this.toolStripButton1.Name = "toolStripButton1";
			// 
			// simulationWorker
			// 
			this.simulationWorker.WorkerSupportsCancellation = true;
			this.simulationWorker.DoWork += new System.ComponentModel.DoWorkEventHandler(this.simulationWorker_DoWork);
			// 
			// mainMenu
			// 
			this.mainMenu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.simulatorEngineToolStripMenuItem,
            this.optionsToolStripMenuItem,
            this.debugToolStripMenuItem,
            this.helpToolStripMenuItem});
			resources.ApplyResources(this.mainMenu, "mainMenu");
			this.mainMenu.Name = "mainMenu";
			// 
			// simulatorEngineToolStripMenuItem
			// 
			this.simulatorEngineToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.newSimulatorToolStripMenuItem,
            this.toolStripSeparator5,
            this.initializeSimulatorToolStripMenuItem,
            this.toolStripSeparator6,
            this.runSimulationToolStripMenuItem,
            this.stopSimulationToolStripMenuItem,
            this.stepSimulationToolStripMenuItem});
			this.simulatorEngineToolStripMenuItem.Name = "simulatorEngineToolStripMenuItem";
			resources.ApplyResources(this.simulatorEngineToolStripMenuItem, "simulatorEngineToolStripMenuItem");
			// 
			// newSimulatorToolStripMenuItem
			// 
			this.newSimulatorToolStripMenuItem.Name = "newSimulatorToolStripMenuItem";
			resources.ApplyResources(this.newSimulatorToolStripMenuItem, "newSimulatorToolStripMenuItem");
			this.newSimulatorToolStripMenuItem.Click += new System.EventHandler(this.newSimulatorToolStripMenuItem_Click);
			// 
			// toolStripSeparator5
			// 
			this.toolStripSeparator5.Name = "toolStripSeparator5";
			resources.ApplyResources(this.toolStripSeparator5, "toolStripSeparator5");
			// 
			// initializeSimulatorToolStripMenuItem
			// 
			resources.ApplyResources(this.initializeSimulatorToolStripMenuItem, "initializeSimulatorToolStripMenuItem");
			this.initializeSimulatorToolStripMenuItem.Name = "initializeSimulatorToolStripMenuItem";
			this.initializeSimulatorToolStripMenuItem.Click += new System.EventHandler(this.initializeSimulatorToolStripMenuItem_Click);
			// 
			// toolStripSeparator6
			// 
			this.toolStripSeparator6.Name = "toolStripSeparator6";
			resources.ApplyResources(this.toolStripSeparator6, "toolStripSeparator6");
			// 
			// runSimulationToolStripMenuItem
			// 
			resources.ApplyResources(this.runSimulationToolStripMenuItem, "runSimulationToolStripMenuItem");
			this.runSimulationToolStripMenuItem.Name = "runSimulationToolStripMenuItem";
			this.runSimulationToolStripMenuItem.Click += new System.EventHandler(this.runSimulationToolStripMenuItem_Click);
			// 
			// stopSimulationToolStripMenuItem
			// 
			resources.ApplyResources(this.stopSimulationToolStripMenuItem, "stopSimulationToolStripMenuItem");
			this.stopSimulationToolStripMenuItem.Name = "stopSimulationToolStripMenuItem";
			this.stopSimulationToolStripMenuItem.Click += new System.EventHandler(this.stopSimulationToolStripMenuItem_Click);
			// 
			// stepSimulationToolStripMenuItem
			// 
			resources.ApplyResources(this.stepSimulationToolStripMenuItem, "stepSimulationToolStripMenuItem");
			this.stepSimulationToolStripMenuItem.Name = "stepSimulationToolStripMenuItem";
			this.stepSimulationToolStripMenuItem.Click += new System.EventHandler(this.stepSimulationToolStripMenuItem_Click);
			// 
			// optionsToolStripMenuItem
			// 
			this.optionsToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.removeComputersToolStripMenuItem,
            this.toolStripSeparator7,
            this.displayZoomToolStripMenuItem,
            this.showLeftPanelToolStripMenuItem});
			this.optionsToolStripMenuItem.Name = "optionsToolStripMenuItem";
			resources.ApplyResources(this.optionsToolStripMenuItem, "optionsToolStripMenuItem");
			// 
			// removeComputersToolStripMenuItem
			// 
			this.removeComputersToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.poligonalRemoveToolToolStripMenuItem,
            this.roundRemoveToolToolStripMenuItem,
            this.rectangleRemoveToolToolStripMenuItem,
            this.remove10ToolStripMenuItem1,
            this.remove30PercentToolStripMenuItem1});
			resources.ApplyResources(this.removeComputersToolStripMenuItem, "removeComputersToolStripMenuItem");
			this.removeComputersToolStripMenuItem.Name = "removeComputersToolStripMenuItem";
			// 
			// poligonalRemoveToolToolStripMenuItem
			// 
			this.poligonalRemoveToolToolStripMenuItem.Name = "poligonalRemoveToolToolStripMenuItem";
			resources.ApplyResources(this.poligonalRemoveToolToolStripMenuItem, "poligonalRemoveToolToolStripMenuItem");
			this.poligonalRemoveToolToolStripMenuItem.Click += new System.EventHandler(this.polygonalEraserToolStripMenuItem_Click);
			// 
			// roundRemoveToolToolStripMenuItem
			// 
			this.roundRemoveToolToolStripMenuItem.Name = "roundRemoveToolToolStripMenuItem";
			resources.ApplyResources(this.roundRemoveToolToolStripMenuItem, "roundRemoveToolToolStripMenuItem");
			this.roundRemoveToolToolStripMenuItem.Click += new System.EventHandler(this.roundEraserToolStripMenuItem_Click);
			// 
			// rectangleRemoveToolToolStripMenuItem
			// 
			this.rectangleRemoveToolToolStripMenuItem.Name = "rectangleRemoveToolToolStripMenuItem";
			resources.ApplyResources(this.rectangleRemoveToolToolStripMenuItem, "rectangleRemoveToolToolStripMenuItem");
			this.rectangleRemoveToolToolStripMenuItem.Click += new System.EventHandler(this.rectangleEraserToolStripMenuItem_Click);
			// 
			// remove10ToolStripMenuItem1
			// 
			this.remove10ToolStripMenuItem1.Name = "remove10ToolStripMenuItem1";
			resources.ApplyResources(this.remove10ToolStripMenuItem1, "remove10ToolStripMenuItem1");
			this.remove10ToolStripMenuItem1.Click += new System.EventHandler(this.remove10Percent_Click);
			// 
			// remove30PercentToolStripMenuItem1
			// 
			this.remove30PercentToolStripMenuItem1.Name = "remove30PercentToolStripMenuItem1";
			resources.ApplyResources(this.remove30PercentToolStripMenuItem1, "remove30PercentToolStripMenuItem1");
			this.remove30PercentToolStripMenuItem1.Click += new System.EventHandler(this.remove30Percent_Click);
			// 
			// toolStripSeparator7
			// 
			this.toolStripSeparator7.Name = "toolStripSeparator7";
			resources.ApplyResources(this.toolStripSeparator7, "toolStripSeparator7");
			// 
			// displayZoomToolStripMenuItem
			// 
			this.displayZoomToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.toolStripComboBox1});
			resources.ApplyResources(this.displayZoomToolStripMenuItem, "displayZoomToolStripMenuItem");
			this.displayZoomToolStripMenuItem.Name = "displayZoomToolStripMenuItem";
			// 
			// toolStripComboBox1
			// 
			this.toolStripComboBox1.Name = "toolStripComboBox1";
			resources.ApplyResources(this.toolStripComboBox1, "toolStripComboBox1");
			// 
			// showLeftPanelToolStripMenuItem
			// 
			this.showLeftPanelToolStripMenuItem.Checked = true;
			this.showLeftPanelToolStripMenuItem.CheckState = System.Windows.Forms.CheckState.Checked;
			this.showLeftPanelToolStripMenuItem.Name = "showLeftPanelToolStripMenuItem";
			resources.ApplyResources(this.showLeftPanelToolStripMenuItem, "showLeftPanelToolStripMenuItem");
			this.showLeftPanelToolStripMenuItem.Click += new System.EventHandler(this.showLeftPanelToolStripMenuItem_Click);
			// 
			// debugToolStripMenuItem
			// 
			this.debugToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.selectComputerToolStripMenuItem,
            this.stopDebuggerToolStripMenuItem});
			this.debugToolStripMenuItem.Name = "debugToolStripMenuItem";
			resources.ApplyResources(this.debugToolStripMenuItem, "debugToolStripMenuItem");
			// 
			// selectComputerToolStripMenuItem
			// 
			resources.ApplyResources(this.selectComputerToolStripMenuItem, "selectComputerToolStripMenuItem");
			this.selectComputerToolStripMenuItem.Name = "selectComputerToolStripMenuItem";
			this.selectComputerToolStripMenuItem.Click += new System.EventHandler(this.selectComputerToDebug_Click);
			// 
			// stopDebuggerToolStripMenuItem
			// 
			resources.ApplyResources(this.stopDebuggerToolStripMenuItem, "stopDebuggerToolStripMenuItem");
			this.stopDebuggerToolStripMenuItem.Name = "stopDebuggerToolStripMenuItem";
			this.stopDebuggerToolStripMenuItem.Click += new System.EventHandler(this.stopDebugger_Click);
			// 
			// helpToolStripMenuItem
			// 
			this.helpToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.contentsToolStripMenuItem,
            this.indexToolStripMenuItem,
            this.searchToolStripMenuItem,
            this.toolStripSeparator9,
            this.aboutToolStripMenuItem});
			this.helpToolStripMenuItem.Name = "helpToolStripMenuItem";
			resources.ApplyResources(this.helpToolStripMenuItem, "helpToolStripMenuItem");
			// 
			// contentsToolStripMenuItem
			// 
			this.contentsToolStripMenuItem.Name = "contentsToolStripMenuItem";
			resources.ApplyResources(this.contentsToolStripMenuItem, "contentsToolStripMenuItem");
			// 
			// indexToolStripMenuItem
			// 
			this.indexToolStripMenuItem.Name = "indexToolStripMenuItem";
			resources.ApplyResources(this.indexToolStripMenuItem, "indexToolStripMenuItem");
			// 
			// searchToolStripMenuItem
			// 
			this.searchToolStripMenuItem.Name = "searchToolStripMenuItem";
			resources.ApplyResources(this.searchToolStripMenuItem, "searchToolStripMenuItem");
			// 
			// toolStripSeparator9
			// 
			this.toolStripSeparator9.Name = "toolStripSeparator9";
			resources.ApplyResources(this.toolStripSeparator9, "toolStripSeparator9");
			// 
			// aboutToolStripMenuItem
			// 
			this.aboutToolStripMenuItem.Name = "aboutToolStripMenuItem";
			resources.ApplyResources(this.aboutToolStripMenuItem, "aboutToolStripMenuItem");
			this.aboutToolStripMenuItem.Click += new System.EventHandler(this.aboutToolStripMenuItem_Click);
			// 
			// displayPanel
			// 
			this.displayPanel.Controls.Add(this.simulatorDisplay);
			this.displayPanel.Controls.Add(this.displayHorizontalScroll);
			this.displayPanel.Controls.Add(this.displayVerticalScroll);
			this.displayPanel.Controls.Add(this.displayControl);
			resources.ApplyResources(this.displayPanel, "displayPanel");
			this.displayPanel.Name = "displayPanel";
			// 
			// simulatorPanel
			// 
			this.simulatorPanel.Controls.Add(this.displayPanel);
			this.simulatorPanel.Controls.Add(this.collapsibleSplitter);
			this.simulatorPanel.Controls.Add(this.simulationControlTabs);
			resources.ApplyResources(this.simulatorPanel, "simulatorPanel");
			this.simulatorPanel.Name = "simulatorPanel";
			// 
			// collapsibleSplitter
			// 
			this.collapsibleSplitter.AnimationDelay = 20;
			this.collapsibleSplitter.AnimationStep = 20;
			this.collapsibleSplitter.BorderStyle3D = System.Windows.Forms.Border3DStyle.Flat;
			this.collapsibleSplitter.ControlToHide = this.simulationControlTabs;
			this.collapsibleSplitter.ExpandParentForm = false;
			resources.ApplyResources(this.collapsibleSplitter, "collapsibleSplitter");
			this.collapsibleSplitter.Name = "collapsibleSplitter1";
			this.collapsibleSplitter.TabStop = false;
			this.collapsibleSplitter.UseAnimations = false;
			this.collapsibleSplitter.VisualStyle = NJFLib.Controls.VisualStyles.Mozilla;
			this.collapsibleSplitter.ToggleChanged += new NJFLib.Controls.CollapsibleSplitter.ToggleChangedHandler(this.collapsibleSplitter_ToggleChanged);
			// 
			// infoStatusStrip
			// 
			this.infoStatusStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.simulationClockInfo,
            this.simulationPacketsInfo,
            this.simulationProcessorInfo,
            this.simulationMemoryInfo});
			resources.ApplyResources(this.infoStatusStrip, "infoStatusStrip");
			this.infoStatusStrip.Name = "infoStatusStrip";
			// 
			// simulationClockInfo
			// 
			resources.ApplyResources(this.simulationClockInfo, "simulationClockInfo");
			this.simulationClockInfo.Name = "simulationClockInfo";
			this.simulationClockInfo.Overflow = System.Windows.Forms.ToolStripItemOverflow.Always;
			this.simulationClockInfo.Spring = true;
			// 
			// simulationPacketsInfo
			// 
			resources.ApplyResources(this.simulationPacketsInfo, "simulationPacketsInfo");
			this.simulationPacketsInfo.Name = "simulationPacketsInfo";
			this.simulationPacketsInfo.Spring = true;
			// 
			// simulationProcessorInfo
			// 
			resources.ApplyResources(this.simulationProcessorInfo, "simulationProcessorInfo");
			this.simulationProcessorInfo.Name = "simulationProcessorInfo";
			this.simulationProcessorInfo.Spring = true;
			// 
			// simulationMemoryInfo
			// 
			resources.ApplyResources(this.simulationMemoryInfo, "simulationMemoryInfo");
			this.simulationMemoryInfo.Name = "simulationMemoryInfo";
			this.simulationMemoryInfo.Spring = true;
			// 
			// openFileDialog
			// 
			this.openFileDialog.DefaultExt = "pss";
			resources.ApplyResources(this.openFileDialog, "openFileDialog");
			// 
			// saveFileDialog
			// 
			this.saveFileDialog.DefaultExt = "pss";
			resources.ApplyResources(this.saveFileDialog, "saveFileDialog");
			// 
			// SimulatorClient
			// 
			resources.ApplyResources(this, "$this");
			this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
			this.Controls.Add(this.simulatorPanel);
			this.Controls.Add(this.mainMenu);
			this.Controls.Add(this.infoStatusStrip);
			this.KeyPreview = true;
			this.MainMenuStrip = this.mainMenu;
			this.Name = "SimulatorClient";
			this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.SimulatorClient_FormClosing);
			this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.SimulatorClient_KeyDown);
			this.Load += new System.EventHandler(this.SimulatorClient_Load);
			this.splitContainer1.Panel1.ResumeLayout(false);
			this.splitContainer1.Panel1.PerformLayout();
			this.splitContainer1.Panel2.ResumeLayout(false);
			this.splitContainer1.ResumeLayout(false);
			this.simulationControlToolbar.ResumeLayout(false);
			this.simulationControlToolbar.PerformLayout();
			this.additionalTab.ResumeLayout(false);
			this.feedersTab.ResumeLayout(false);
			this.computersTab.ResumeLayout(false);
			this.simulationControlTabs.ResumeLayout(false);
			this.simulatorTab.ResumeLayout(false);
			this.processFragmentTab.ResumeLayout(false);
			this.processFragmentsGroup.ResumeLayout(false);
			this.processFragmentInitialization.ResumeLayout(false);
			this.debugTab.ResumeLayout(false);
			this.debugTab.PerformLayout();
			((System.ComponentModel.ISupportInitialize)(this.simulatorDisplay)).EndInit();
			this.displayControl.ResumeLayout(false);
			this.displayControl.PerformLayout();
			((System.ComponentModel.ISupportInitialize)(this.processorUsageCounter)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.memoryUsageCounter)).EndInit();
			this.mainMenu.ResumeLayout(false);
			this.mainMenu.PerformLayout();
			this.displayPanel.ResumeLayout(false);
			this.displayPanel.PerformLayout();
			this.simulatorPanel.ResumeLayout(false);
			this.infoStatusStrip.ResumeLayout(false);
			this.infoStatusStrip.PerformLayout();
			this.ResumeLayout(false);
			this.PerformLayout();

		}

		#endregion

		private System.Diagnostics.PerformanceCounter processorUsageCounter;
		private System.Diagnostics.PerformanceCounter memoryUsageCounter;
		private System.Windows.Forms.TabControl simulationControlTabs;
		private System.Windows.Forms.TabPage simulatorTab;
		private System.Windows.Forms.PropertyGrid simulatorProperties;
		private System.Windows.Forms.TabPage processFragmentTab;
		private System.Windows.Forms.TabPage debugTab;
		private System.Windows.Forms.TextBox logLister;
		private System.Windows.Forms.ToolStrip displayControl;
		private System.Windows.Forms.ToolStripSeparator toolStripTextBox1;
		private System.Windows.Forms.PictureBox simulatorDisplay;
		private System.Windows.Forms.ToolStrip simulationControlToolbar;
		private System.Windows.Forms.ToolStripButton newSimulation;
		private System.Windows.Forms.ToolStripButton initializeSimulation;
		private System.Windows.Forms.SplitContainer splitContainer1;
		private System.Windows.Forms.TreeView processFragmentTree;
		private System.Windows.Forms.PropertyGrid processFragmentProperties;
		private System.Windows.Forms.Button loadProcessFragment;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.HScrollBar displayHorizontalScroll;
		private System.Windows.Forms.VScrollBar displayVerticalScroll;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator2;
		private System.Windows.Forms.ToolStripLabel toolStripLabel1;
		private System.Windows.Forms.ToolStripComboBox homepageColorizers;
		private System.Windows.Forms.ToolStripLabel toolStripLabel2;
		private System.Windows.Forms.ToolStripComboBox zoomSelection;
		private System.Windows.Forms.GroupBox processFragmentInitialization;
		private System.Windows.Forms.Button selectComputerToDebug;
		private System.Windows.Forms.Button stopDebugger;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator4;
		private System.Windows.Forms.ToolStripButton runSimulation;
		private System.Windows.Forms.ToolStripButton pauseSimulation;
		private System.Windows.Forms.ToolStripButton stepSimulation;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator3;
		private System.Windows.Forms.ToolStripButton toolStripButton1;
		private System.Windows.Forms.ToolStripSplitButton deleteComputers;
		private System.Windows.Forms.ToolStripMenuItem polygonalEraserToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem roundEraserToolStripMenuItem;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
		private System.Windows.Forms.Timer userInterfaceRefreshTimer;
		private System.Windows.Forms.GroupBox processFragmentsGroup;
		private System.ComponentModel.BackgroundWorker simulationWorker;
		private System.Windows.Forms.MenuStrip mainMenu;
		private System.Windows.Forms.ToolStripMenuItem simulatorEngineToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem newSimulatorToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem debugToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem helpToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem contentsToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem indexToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem searchToolStripMenuItem;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator9;
		private System.Windows.Forms.ToolStripMenuItem aboutToolStripMenuItem;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator5;
		private System.Windows.Forms.ToolStripMenuItem initializeSimulatorToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem optionsToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem selectComputerToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem stopDebuggerToolStripMenuItem;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator6;
		private System.Windows.Forms.ToolStripMenuItem runSimulationToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem stopSimulationToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem stepSimulationToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem removeComputersToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem poligonalRemoveToolToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem roundRemoveToolToolStripMenuItem;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator7;
		private System.Windows.Forms.ToolStripMenuItem displayZoomToolStripMenuItem;
		private System.Windows.Forms.ToolStripComboBox toolStripComboBox1;
		private System.Windows.Forms.ToolStripMenuItem showLeftPanelToolStripMenuItem;
		private NJFLib.Controls.CollapsibleSplitter collapsibleSplitter;
		private System.Windows.Forms.Panel displayPanel;
		private System.Windows.Forms.Panel simulatorPanel;
		private System.Windows.Forms.StatusStrip infoStatusStrip;
		private System.Windows.Forms.ToolStripStatusLabel simulationClockInfo;
		private System.Windows.Forms.ToolStripStatusLabel simulationPacketsInfo;
		private System.Windows.Forms.ToolStripStatusLabel simulationProcessorInfo;
		private System.Windows.Forms.ToolStripStatusLabel simulationMemoryInfo;
		private System.Windows.Forms.ToolStripButton lockColorizer;
		private System.Windows.Forms.TabControl additionalTab;
		private System.Windows.Forms.TabPage feedersTab;
		private System.Windows.Forms.ToolStripSeparator toolStripSeparator8;
		private System.Windows.Forms.OpenFileDialog openFileDialog;
		private System.Windows.Forms.SaveFileDialog saveFileDialog;
		private System.Windows.Forms.ToolStripMenuItem rectangleEraserToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem rectangleRemoveToolToolStripMenuItem;
		private System.Windows.Forms.TabPage computersTab;
		private System.Windows.Forms.Button registerEnvironmentFeeder;
		private System.Windows.Forms.Button addComputer;
		private System.Windows.Forms.ListBox feedersList;
		private System.Windows.Forms.ListBox computersList;
		private System.Windows.Forms.ToolStripComboBox paintableComputers;
		private System.Windows.Forms.ToolStripMenuItem remove10ToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem remove30PercentToolStripMenuItem;
		private System.Windows.Forms.ToolStripMenuItem remove10ToolStripMenuItem1;
		private System.Windows.Forms.ToolStripMenuItem remove30PercentToolStripMenuItem1;
		private System.Windows.Forms.ToolTip genericToolTip;
	}
}